!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 203

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1578)
  integer, parameter :: nGC_5221 = 1
  integer, parameter :: nGC_90 = 2
  integer, parameter :: nGC_233 = 3
  integer, parameter :: nGC_231 = 4
  integer, parameter :: nGC_237 = 5
  integer, parameter :: nGC_235 = 6
  integer, parameter :: nGC_239 = 7
  integer, parameter :: nGC_4666 = 8
  integer, parameter :: nGC_4667 = 9
  integer, parameter :: nGC_4664 = 10
  integer, parameter :: nGC_4665 = 11
  integer, parameter :: nGC_4662 = 12
  integer, parameter :: nGC_4663 = 13
  integer, parameter :: nGC_4660 = 14
  integer, parameter :: nGC_4661 = 15
  integer, parameter :: nGC_4668 = 16
  integer, parameter :: nGC_4590 = 17
  integer, parameter :: nGC_4591 = 18
  integer, parameter :: nGC_4592 = 19
  integer, parameter :: nGC_4593 = 20
  integer, parameter :: nGC_4594 = 21
  integer, parameter :: nGC_4598 = 22
  integer, parameter :: nGC_4599 = 23
  integer, parameter :: nGC_MHL = 24
  integer, parameter :: nGC_MHH = 25
  integer, parameter :: nGC_4729 = 26
  integer, parameter :: nGC_4728 = 27
  integer, parameter :: nGC_4727 = 28
  integer, parameter :: nGC_4726 = 29
  integer, parameter :: nGC_4725 = 30
  integer, parameter :: nGC_4724 = 31
  integer, parameter :: nGC_4723 = 32
  integer, parameter :: nGC_4722 = 33
  integer, parameter :: nGC_4721 = 34
  integer, parameter :: nGC_4720 = 35
  integer, parameter :: nGC_221 = 36
  integer, parameter :: nGC_223 = 37
  integer, parameter :: nGC_225 = 38
  integer, parameter :: nGC_227 = 39
  integer, parameter :: nGC_4613 = 40
  integer, parameter :: nGC_4612 = 41
  integer, parameter :: nGC_4611 = 42
  integer, parameter :: nGC_4610 = 43
  integer, parameter :: nGC_4617 = 44
  integer, parameter :: nGC_4616 = 45
  integer, parameter :: nGC_4615 = 46
  integer, parameter :: nGC_4614 = 47
  integer, parameter :: nGC_4619 = 48
  integer, parameter :: nGC_4618 = 49
  integer, parameter :: nGC_29 = 50
  integer, parameter :: nGC_99 = 51
  integer, parameter :: nGC_98 = 52
  integer, parameter :: nGC_97 = 53
  integer, parameter :: nGC_96 = 54
  integer, parameter :: nGC_95 = 55
  integer, parameter :: nGC_94 = 56
  integer, parameter :: nGC_93 = 57
  integer, parameter :: nGC_92 = 58
  integer, parameter :: nGC_91 = 59
  integer, parameter :: nGC_75 = 60
  integer, parameter :: nGC_74 = 61
  integer, parameter :: nGC_77 = 62
  integer, parameter :: nGC_76 = 63
  integer, parameter :: nGC_71 = 64
  integer, parameter :: nGC_70 = 65
  integer, parameter :: nGC_73 = 66
  integer, parameter :: nGC_72 = 67
  integer, parameter :: nGC_79 = 68
  integer, parameter :: nGC_78 = 69
  integer, parameter :: nGC_4738 = 70
  integer, parameter :: nGC_4739 = 71
  integer, parameter :: nGC_4734 = 72
  integer, parameter :: nGC_4735 = 73
  integer, parameter :: nGC_4736 = 74
  integer, parameter :: nGC_4737 = 75
  integer, parameter :: nGC_4730 = 76
  integer, parameter :: nGC_4731 = 77
  integer, parameter :: nGC_4732 = 78
  integer, parameter :: nGC_4733 = 79
  integer, parameter :: nGC_219 = 80
  integer, parameter :: nGC_217 = 81
  integer, parameter :: nGC_211 = 82
  integer, parameter :: nGC_213 = 83
  integer, parameter :: nGC_4600 = 84
  integer, parameter :: nGC_4601 = 85
  integer, parameter :: nGC_4602 = 86
  integer, parameter :: nGC_4603 = 87
  integer, parameter :: nGC_4604 = 88
  integer, parameter :: nGC_4605 = 89
  integer, parameter :: nGC_4606 = 90
  integer, parameter :: nGC_4607 = 91
  integer, parameter :: nGC_4608 = 92
  integer, parameter :: nGC_4609 = 93
  integer, parameter :: nGC_MI = 94
  integer, parameter :: nGC_MM = 95
  integer, parameter :: nGC_MC = 96
  integer, parameter :: nGC_MB = 97
  integer, parameter :: nGC_ME = 98
  integer, parameter :: nGC_MD = 99
  integer, parameter :: nGC_TS_GC_78_Hh = 100
  integer, parameter :: nGC_MZ = 101
  integer, parameter :: nGC_MS = 102
  integer, parameter :: nGC_MW = 103
  integer, parameter :: nGC_MU = 104
  integer, parameter :: nGC_MT = 105
  integer, parameter :: nGC_TS_GC_93_Hh = 106
  integer, parameter :: nGC_88 = 107
  integer, parameter :: nGC_89 = 108
  integer, parameter :: nGC_80 = 109
  integer, parameter :: nGC_81 = 110
  integer, parameter :: nGC_82 = 111
  integer, parameter :: nGC_83 = 112
  integer, parameter :: nGC_84 = 113
  integer, parameter :: nGC_85 = 114
  integer, parameter :: nGC_86 = 115
  integer, parameter :: nGC_87 = 116
  integer, parameter :: nGC_66 = 117
  integer, parameter :: nGC_67 = 118
  integer, parameter :: nGC_64 = 119
  integer, parameter :: nGC_65 = 120
  integer, parameter :: nGC_62 = 121
  integer, parameter :: nGC_63 = 122
  integer, parameter :: nGC_60 = 123
  integer, parameter :: nGC_61 = 124
  integer, parameter :: nGC_TS_GC_70_Hl = 125
  integer, parameter :: nGC_68 = 126
  integer, parameter :: nGC_69 = 127
  integer, parameter :: nGC_7546 = 128
  integer, parameter :: nGC_4709 = 129
  integer, parameter :: nGC_4708 = 130
  integer, parameter :: nGC_4701 = 131
  integer, parameter :: nGC_4700 = 132
  integer, parameter :: nGC_4703 = 133
  integer, parameter :: nGC_4702 = 134
  integer, parameter :: nGC_4705 = 135
  integer, parameter :: nGC_4704 = 136
  integer, parameter :: nGC_4707 = 137
  integer, parameter :: nGC_4706 = 138
  integer, parameter :: nGC_209 = 139
  integer, parameter :: nGC_203 = 140
  integer, parameter :: nGC_207 = 141
  integer, parameter :: nGC_205 = 142
  integer, parameter :: nGC_4639 = 143
  integer, parameter :: nGC_4638 = 144
  integer, parameter :: nGC_4635 = 145
  integer, parameter :: nGC_4634 = 146
  integer, parameter :: nGC_4637 = 147
  integer, parameter :: nGC_4636 = 148
  integer, parameter :: nGC_4631 = 149
  integer, parameter :: nGC_4630 = 150
  integer, parameter :: nGC_4633 = 151
  integer, parameter :: nGC_4632 = 152
  integer, parameter :: nGC_TS_GC_67_Hl = 153
  integer, parameter :: nGC_8130 = 154
  integer, parameter :: nGC_8131 = 155
  integer, parameter :: nGC_9403 = 156
  integer, parameter :: nGC_9402 = 157
  integer, parameter :: nGC_9407 = 158
  integer, parameter :: nGC_53 = 159
  integer, parameter :: nGC_52 = 160
  integer, parameter :: nGC_51 = 161
  integer, parameter :: nGC_50 = 162
  integer, parameter :: nGC_57 = 163
  integer, parameter :: nGC_56 = 164
  integer, parameter :: nGC_55 = 165
  integer, parameter :: nGC_54 = 166
  integer, parameter :: nGC_59 = 167
  integer, parameter :: nGC_58 = 168
  integer, parameter :: nGC_5289 = 169
  integer, parameter :: nGC_5288 = 170
  integer, parameter :: nGC_2061 = 171
  integer, parameter :: nGC_5282 = 172
  integer, parameter :: nGC_5281 = 173
  integer, parameter :: nGC_5280 = 174
  integer, parameter :: nGC_5287 = 175
  integer, parameter :: nGC_8623 = 176
  integer, parameter :: nGC_5285 = 177
  integer, parameter :: nGC_5284 = 178
  integer, parameter :: nGC_4669 = 179
  integer, parameter :: nGC_4628 = 180
  integer, parameter :: nGC_4629 = 181
  integer, parameter :: nGC_4622 = 182
  integer, parameter :: nGC_4623 = 183
  integer, parameter :: nGC_4620 = 184
  integer, parameter :: nGC_4621 = 185
  integer, parameter :: nGC_4626 = 186
  integer, parameter :: nGC_4627 = 187
  integer, parameter :: nGC_4624 = 188
  integer, parameter :: nGC_4625 = 189
  integer, parameter :: nGC_4716 = 190
  integer, parameter :: nGC_4717 = 191
  integer, parameter :: nGC_4714 = 192
  integer, parameter :: nGC_4715 = 193
  integer, parameter :: nGC_4712 = 194
  integer, parameter :: nGC_4713 = 195
  integer, parameter :: nGC_4710 = 196
  integer, parameter :: nGC_4711 = 197
  integer, parameter :: nGC_4718 = 198
  integer, parameter :: nGC_4719 = 199
  integer, parameter :: nGC_4578 = 200
  integer, parameter :: nGC_4579 = 201
  integer, parameter :: nGC_4576 = 202
  integer, parameter :: nGC_4577 = 203
  integer, parameter :: nGC_4574 = 204
  integer, parameter :: nGC_4575 = 205
  integer, parameter :: nGC_4572 = 206
  integer, parameter :: nGC_4573 = 207
  integer, parameter :: nGC_4571 = 208
  integer, parameter :: nGC_413 = 209
  integer, parameter :: nGC_4595 = 210
  integer, parameter :: nGC_4596 = 211
  integer, parameter :: nGC_4597 = 212
  integer, parameter :: nGC_13500 = 213
  integer, parameter :: nGC_5318 = 214
  integer, parameter :: nGC_TS_GC_66_Hh = 215
  integer, parameter :: nGC_TS_GC_66_Hl = 216
  integer, parameter :: nGC_7990 = 217
  integer, parameter :: nGC_7993 = 218
  integer, parameter :: nGC_TS_GC_79_Hl = 219
  integer, parameter :: nGC_TS_GC_79_Hh = 220
  integer, parameter :: nGC_5365 = 221
  integer, parameter :: nGC_48 = 222
  integer, parameter :: nGC_49 = 223
  integer, parameter :: nGC_44 = 224
  integer, parameter :: nGC_45 = 225
  integer, parameter :: nGC_46 = 226
  integer, parameter :: nGC_47 = 227
  integer, parameter :: nGC_40 = 228
  integer, parameter :: nGC_41 = 229
  integer, parameter :: nGC_42 = 230
  integer, parameter :: nGC_43 = 231
  integer, parameter :: nGC_9091 = 232
  integer, parameter :: nGC_9095 = 233
  integer, parameter :: nGC_5290 = 234
  integer, parameter :: nGC_5291 = 235
  integer, parameter :: nGC_5292 = 236
  integer, parameter :: nGC_5293 = 237
  integer, parameter :: nGC_5294 = 238
  integer, parameter :: nGC_10848 = 239
  integer, parameter :: nGC_10849 = 240
  integer, parameter :: nGC_4763 = 241
  integer, parameter :: nGC_4762 = 242
  integer, parameter :: nGC_4761 = 243
  integer, parameter :: nGC_4760 = 244
  integer, parameter :: nGC_4767 = 245
  integer, parameter :: nGC_4766 = 246
  integer, parameter :: nGC_4765 = 247
  integer, parameter :: nGC_4764 = 248
  integer, parameter :: nGC_4769 = 249
  integer, parameter :: nGC_4768 = 250
  integer, parameter :: nGC_10340 = 251
  integer, parameter :: nGC_7074 = 252
  integer, parameter :: nGC_405 = 253
  integer, parameter :: nGC_TS_GC_57_Hh = 254
  integer, parameter :: nGC_5261 = 255
  integer, parameter :: nGC_5359 = 256
  integer, parameter :: nGC_5358 = 257
  integer, parameter :: nGC_5352 = 258
  integer, parameter :: nGC_5357 = 259
  integer, parameter :: nGC_8423 = 260
  integer, parameter :: nGC_39 = 261
  integer, parameter :: nGC_38 = 262
  integer, parameter :: nGC_31 = 263
  integer, parameter :: nGC_30 = 264
  integer, parameter :: nGC_33 = 265
  integer, parameter :: nGC_32 = 266
  integer, parameter :: nGC_35 = 267
  integer, parameter :: nGC_34 = 268
  integer, parameter :: nGC_37 = 269
  integer, parameter :: nGC_36 = 270
  integer, parameter :: nGC_7670 = 271
  integer, parameter :: nGC_7673 = 272
  integer, parameter :: nGC_4770 = 273
  integer, parameter :: nGC_4771 = 274
  integer, parameter :: nGC_4772 = 275
  integer, parameter :: nGC_4773 = 276
  integer, parameter :: nGC_4774 = 277
  integer, parameter :: nGC_4775 = 278
  integer, parameter :: nGC_4776 = 279
  integer, parameter :: nGC_4777 = 280
  integer, parameter :: nGC_4778 = 281
  integer, parameter :: nGC_4779 = 282
  integer, parameter :: nGC_MTA = 283
  integer, parameter :: nGC_1581 = 284
  integer, parameter :: nGC_10722 = 285
  integer, parameter :: nGC_8255 = 286
  integer, parameter :: nGC_8254 = 287
  integer, parameter :: nGC_8253 = 288
  integer, parameter :: nGC_245 = 289
  integer, parameter :: nGC_8899 = 290
  integer, parameter :: nGC_5346 = 291
  integer, parameter :: nGC_5347 = 292
  integer, parameter :: nGC_409 = 293
  integer, parameter :: nGC_TS_GC_74_Hl = 294
  integer, parameter :: nGC_28 = 295
  integer, parameter :: nGC_22 = 296
  integer, parameter :: nGC_23 = 297
  integer, parameter :: nGC_20 = 298
  integer, parameter :: nGC_21 = 299
  integer, parameter :: nGC_26 = 300
  integer, parameter :: nGC_27 = 301
  integer, parameter :: nGC_24 = 302
  integer, parameter :: nGC_25 = 303
  integer, parameter :: nGC_9449 = 304
  integer, parameter :: nGC_5232 = 305
  integer, parameter :: nGC_4833 = 306
  integer, parameter :: nGC_4832 = 307
  integer, parameter :: nGC_4831 = 308
  integer, parameter :: nGC_4830 = 309
  integer, parameter :: nGC_7476 = 310
  integer, parameter :: nGC_7474 = 311
  integer, parameter :: nGC_4699 = 312
  integer, parameter :: nGC_4698 = 313
  integer, parameter :: nGC_4693 = 314
  integer, parameter :: nGC_4692 = 315
  integer, parameter :: nGC_4691 = 316
  integer, parameter :: nGC_4690 = 317
  integer, parameter :: nGC_4697 = 318
  integer, parameter :: nGC_4696 = 319
  integer, parameter :: nGC_4695 = 320
  integer, parameter :: nGC_4694 = 321
  integer, parameter :: nGC_4749 = 322
  integer, parameter :: nGC_4748 = 323
  integer, parameter :: nGC_4745 = 324
  integer, parameter :: nGC_4744 = 325
  integer, parameter :: nGC_4747 = 326
  integer, parameter :: nGC_4746 = 327
  integer, parameter :: nGC_4741 = 328
  integer, parameter :: nGC_4740 = 329
  integer, parameter :: nGC_4743 = 330
  integer, parameter :: nGC_4742 = 331
  integer, parameter :: nGC_423 = 332
  integer, parameter :: nGC_517 = 333
  integer, parameter :: nGC_10718 = 334
  integer, parameter :: nGC_10717 = 335
  integer, parameter :: nGC_5339 = 336
  integer, parameter :: nGC_5338 = 337
  integer, parameter :: nGC_8401 = 338
  integer, parameter :: nGC_17 = 339
  integer, parameter :: nGC_16 = 340
  integer, parameter :: nGC_15 = 341
  integer, parameter :: nGC_14 = 342
  integer, parameter :: nGC_13 = 343
  integer, parameter :: nGC_12 = 344
  integer, parameter :: nGC_11 = 345
  integer, parameter :: nGC_10 = 346
  integer, parameter :: nGC_19 = 347
  integer, parameter :: nGC_18 = 348
  integer, parameter :: nGC_5249 = 349
  integer, parameter :: nGC_5248 = 350
  integer, parameter :: nGC_5246 = 351
  integer, parameter :: nGC_5242 = 352
  integer, parameter :: nGC_5241 = 353
  integer, parameter :: nGC_5240 = 354
  integer, parameter :: nGC_8069 = 355
  integer, parameter :: nGC_4824 = 356
  integer, parameter :: nGC_4825 = 357
  integer, parameter :: nGC_4826 = 358
  integer, parameter :: nGC_4827 = 359
  integer, parameter :: nGC_4820 = 360
  integer, parameter :: nGC_4821 = 361
  integer, parameter :: nGC_4822 = 362
  integer, parameter :: nGC_4823 = 363
  integer, parameter :: nGC_4828 = 364
  integer, parameter :: nGC_4829 = 365
  integer, parameter :: nGC_9823 = 366
  integer, parameter :: nGC_9822 = 367
  integer, parameter :: nGC_9820 = 368
  integer, parameter :: nGC_9825 = 369
  integer, parameter :: nGC_9824 = 370
  integer, parameter :: nGC_TS_GC_83_Hh = 371
  integer, parameter :: nGC_4688 = 372
  integer, parameter :: nGC_4689 = 373
  integer, parameter :: nGC_4680 = 374
  integer, parameter :: nGC_4681 = 375
  integer, parameter :: nGC_4682 = 376
  integer, parameter :: nGC_4683 = 377
  integer, parameter :: nGC_4684 = 378
  integer, parameter :: nGC_4685 = 379
  integer, parameter :: nGC_4686 = 380
  integer, parameter :: nGC_4687 = 381
  integer, parameter :: nGC_7311 = 382
  integer, parameter :: nGC_4758 = 383
  integer, parameter :: nGC_4759 = 384
  integer, parameter :: nGC_4752 = 385
  integer, parameter :: nGC_4753 = 386
  integer, parameter :: nGC_4750 = 387
  integer, parameter :: nGC_4751 = 388
  integer, parameter :: nGC_4756 = 389
  integer, parameter :: nGC_4757 = 390
  integer, parameter :: nGC_4754 = 391
  integer, parameter :: nGC_4755 = 392
  integer, parameter :: nGC_451 = 393
  integer, parameter :: nGC_TS_GC_25_Hh = 394
  integer, parameter :: nGC_TS_GC_25_Hl = 395
  integer, parameter :: nGC_675 = 396
  integer, parameter :: nGC_7137 = 397
  integer, parameter :: nGC_7139 = 398
  integer, parameter :: nGC_TS_GC_19_Hl = 399
  integer, parameter :: nGC_TS_GC_99_Hl = 400
  integer, parameter :: nGC_5060 = 401
  integer, parameter :: nGC_5067 = 402
  integer, parameter :: nGC_7796 = 403
  integer, parameter :: nGC_7798 = 404
  integer, parameter :: nGC_5430 = 405
  integer, parameter :: nGC_5322 = 406
  integer, parameter :: nGC_5323 = 407
  integer, parameter :: nGC_5327 = 408
  integer, parameter :: nGC_9452 = 409
  integer, parameter :: nGC_5329 = 410
  integer, parameter :: nGC_9450 = 411
  integer, parameter :: nGC_9451 = 412
  integer, parameter :: nGC_9454 = 413
  integer, parameter :: nGC_TS_GC_65_Hh = 414
  integer, parameter :: nGC_TS_GC_88_Hh = 415
  integer, parameter :: nGC_9057 = 416
  integer, parameter :: nGC_5258 = 417
  integer, parameter :: nGC_5254 = 418
  integer, parameter :: nGC_5255 = 419
  integer, parameter :: nGC_5256 = 420
  integer, parameter :: nGC_5250 = 421
  integer, parameter :: nGC_9058 = 422
  integer, parameter :: nGC_TS_GC_73_Hl = 423
  integer, parameter :: nGC_9821 = 424
  integer, parameter :: nGC_4811 = 425
  integer, parameter :: nGC_4810 = 426
  integer, parameter :: nGC_4813 = 427
  integer, parameter :: nGC_4812 = 428
  integer, parameter :: nGC_4815 = 429
  integer, parameter :: nGC_4814 = 430
  integer, parameter :: nGC_4817 = 431
  integer, parameter :: nGC_4816 = 432
  integer, parameter :: nGC_4819 = 433
  integer, parameter :: nGC_4818 = 434
  integer, parameter :: nGC_7412 = 435
  integer, parameter :: nGC_7413 = 436
  integer, parameter :: nGC_7414 = 437
  integer, parameter :: nGC_7415 = 438
  integer, parameter :: nGC_7416 = 439
  integer, parameter :: nGC_TS_GC_17_Hl = 440
  integer, parameter :: nGC_4781 = 441
  integer, parameter :: nGC_4780 = 442
  integer, parameter :: nGC_4783 = 443
  integer, parameter :: nGC_4782 = 444
  integer, parameter :: nGC_4785 = 445
  integer, parameter :: nGC_4784 = 446
  integer, parameter :: nGC_4787 = 447
  integer, parameter :: nGC_4786 = 448
  integer, parameter :: nGC_4789 = 449
  integer, parameter :: nGC_4788 = 450
  integer, parameter :: nGC_11134 = 451
  integer, parameter :: nGC_283 = 452
  integer, parameter :: nGC_281 = 453
  integer, parameter :: nGC_7230 = 454
  integer, parameter :: nGC_7231 = 455
  integer, parameter :: nGC_5353 = 456
  integer, parameter :: nGC_5356 = 457
  integer, parameter :: nGC_7123 = 458
  integer, parameter :: nGC_7128 = 459
  integer, parameter :: nGC_8262 = 460
  integer, parameter :: nGC_8261 = 461
  integer, parameter :: nGC_5079 = 462
  integer, parameter :: nGC_MW_GF = 463
  integer, parameter :: nGC_5319 = 464
  integer, parameter :: nGC_5315 = 465
  integer, parameter :: nGC_5317 = 466
  integer, parameter :: nGC_5316 = 467
  integer, parameter :: nGC_5311 = 468
  integer, parameter :: nGC_5310 = 469
  integer, parameter :: nGC_5312 = 470
  integer, parameter :: nGC_8464 = 471
  integer, parameter :: nGC_8467 = 472
  integer, parameter :: nGC_5268 = 473
  integer, parameter :: nGC_5260 = 474
  integer, parameter :: nGC_4994 = 475
  integer, parameter :: nGC_4808 = 476
  integer, parameter :: nGC_4809 = 477
  integer, parameter :: nGC_4806 = 478
  integer, parameter :: nGC_4807 = 479
  integer, parameter :: nGC_4804 = 480
  integer, parameter :: nGC_4805 = 481
  integer, parameter :: nGC_4802 = 482
  integer, parameter :: nGC_4803 = 483
  integer, parameter :: nGC_4800 = 484
  integer, parameter :: nGC_4801 = 485
  integer, parameter :: nGC_4997 = 486
  integer, parameter :: nGC_7429 = 487
  integer, parameter :: nGC_7428 = 488
  integer, parameter :: nGC_5441 = 489
  integer, parameter :: nGC_5440 = 490
  integer, parameter :: nGC_5443 = 491
  integer, parameter :: nGC_5442 = 492
  integer, parameter :: nGC_5445 = 493
  integer, parameter :: nGC_5444 = 494
  integer, parameter :: nGC_5447 = 495
  integer, parameter :: nGC_5446 = 496
  integer, parameter :: nGC_5449 = 497
  integer, parameter :: nGC_5448 = 498
  integer, parameter :: nGC_TS_GC_24_Hh = 499
  integer, parameter :: nGC_4798 = 500
  integer, parameter :: nGC_4799 = 501
  integer, parameter :: nGC_4796 = 502
  integer, parameter :: nGC_4797 = 503
  integer, parameter :: nGC_4794 = 504
  integer, parameter :: nGC_4795 = 505
  integer, parameter :: nGC_4792 = 506
  integer, parameter :: nGC_4793 = 507
  integer, parameter :: nGC_4790 = 508
  integer, parameter :: nGC_4791 = 509
  integer, parameter :: nGC_277 = 510
  integer, parameter :: nGC_275 = 511
  integer, parameter :: nGC_271 = 512
  integer, parameter :: nGC_7169 = 513
  integer, parameter :: nGC_MZ_GF = 514
  integer, parameter :: nGC_11539 = 515
  integer, parameter :: nGC_7116 = 516
  integer, parameter :: nGC_124 = 517
  integer, parameter :: nGC_122 = 518
  integer, parameter :: nGC_123 = 519
  integer, parameter :: nGC_120 = 520
  integer, parameter :: nGC_121 = 521
  integer, parameter :: nGC_TS_GC_98_Hh = 522
  integer, parameter :: nGC_8213 = 523
  integer, parameter :: nGC_5046 = 524
  integer, parameter :: nGC_MMW_GF = 525
  integer, parameter :: nGC_5049 = 526
  integer, parameter :: nGC_13499 = 527
  integer, parameter :: nGC_13494 = 528
  integer, parameter :: nGC_13491 = 529
  integer, parameter :: nGC_13492 = 530
  integer, parameter :: nGC_13493 = 531
  integer, parameter :: nGC_5308 = 532
  integer, parameter :: nGC_5309 = 533
  integer, parameter :: nGC_5302 = 534
  integer, parameter :: nGC_5303 = 535
  integer, parameter :: nGC_I = 536
  integer, parameter :: nGC_5301 = 537
  integer, parameter :: nGC_5306 = 538
  integer, parameter :: nGC_5307 = 539
  integer, parameter :: nGC_5304 = 540
  integer, parameter :: nGC_5305 = 541
  integer, parameter :: nGC_8322 = 542
  integer, parameter :: nGC_8321 = 543
  integer, parameter :: nGC_8320 = 544
  integer, parameter :: nGC_5276 = 545
  integer, parameter :: nGC_5277 = 546
  integer, parameter :: nGC_5274 = 547
  integer, parameter :: nGC_5275 = 548
  integer, parameter :: nGC_5270 = 549
  integer, parameter :: nGC_5271 = 550
  integer, parameter :: nGC_5278 = 551
  integer, parameter :: nGC_3 = 552
  integer, parameter :: nGC_2 = 553
  integer, parameter :: nGC_1 = 554
  integer, parameter :: nGC_7 = 555
  integer, parameter :: nGC_6 = 556
  integer, parameter :: nGC_5 = 557
  integer, parameter :: nGC_4 = 558
  integer, parameter :: nGC_9 = 559
  integer, parameter :: nGC_8 = 560
  integer, parameter :: nGC_8039 = 561
  integer, parameter :: nGC_8520 = 562
  integer, parameter :: nGC_8522 = 563
  integer, parameter :: nGC_TS_GC_34_Hh = 564
  integer, parameter :: nGC_4879 = 565
  integer, parameter :: nGC_4878 = 566
  integer, parameter :: nGC_4873 = 567
  integer, parameter :: nGC_4872 = 568
  integer, parameter :: nGC_4871 = 569
  integer, parameter :: nGC_4870 = 570
  integer, parameter :: nGC_4877 = 571
  integer, parameter :: nGC_4876 = 572
  integer, parameter :: nGC_4875 = 573
  integer, parameter :: nGC_4874 = 574
  integer, parameter :: nGC_7435 = 575
  integer, parameter :: nGC_4907 = 576
  integer, parameter :: nGC_4904 = 577
  integer, parameter :: nGC_4903 = 578
  integer, parameter :: nGC_4902 = 579
  integer, parameter :: nGC_4900 = 580
  integer, parameter :: nGC_4659 = 581
  integer, parameter :: nGC_4658 = 582
  integer, parameter :: nGC_4657 = 583
  integer, parameter :: nGC_4656 = 584
  integer, parameter :: nGC_4655 = 585
  integer, parameter :: nGC_4654 = 586
  integer, parameter :: nGC_4653 = 587
  integer, parameter :: nGC_4652 = 588
  integer, parameter :: nGC_4651 = 589
  integer, parameter :: nGC_4650 = 590
  integer, parameter :: nGC_7324 = 591
  integer, parameter :: nGC_7323 = 592
  integer, parameter :: nGC_7320 = 593
  integer, parameter :: nGC_7210 = 594
  integer, parameter :: nGC_7211 = 595
  integer, parameter :: nGC_7216 = 596
  integer, parameter :: nGC_7723 = 597
  integer, parameter :: nGC_463 = 598
  integer, parameter :: nGC_269 = 599
  integer, parameter :: nGC_265 = 600
  integer, parameter :: nGC_4882 = 601
  integer, parameter :: nGC_263 = 602
  integer, parameter :: nGC_4883 = 603
  integer, parameter :: nGC_5052 = 604
  integer, parameter :: nGC_5056 = 605
  integer, parameter :: nGC_5054 = 606
  integer, parameter :: nGC_5055 = 607
  integer, parameter :: nGC_TS_GC_23_Hl = 608
  integer, parameter :: nGC_5058 = 609
  integer, parameter :: nGC_5059 = 610
  integer, parameter :: nGC_TS_GC_46_Hl = 611
  integer, parameter :: nGC_8521 = 612
  integer, parameter :: nGC_7927 = 613
  integer, parameter :: nGC_8334 = 614
  integer, parameter :: nGC_8333 = 615
  integer, parameter :: nGC_7694 = 616
  integer, parameter :: nGC_7693 = 617
  integer, parameter :: nGC_5234 = 618
  integer, parameter :: nGC_11177 = 619
  integer, parameter :: nGC_241 = 620
  integer, parameter :: nGC_4868 = 621
  integer, parameter :: nGC_4869 = 622
  integer, parameter :: nGC_4860 = 623
  integer, parameter :: nGC_4861 = 624
  integer, parameter :: nGC_4862 = 625
  integer, parameter :: nGC_4863 = 626
  integer, parameter :: nGC_4864 = 627
  integer, parameter :: nGC_4865 = 628
  integer, parameter :: nGC_4866 = 629
  integer, parameter :: nGC_4867 = 630
  integer, parameter :: nGC_249 = 631
  integer, parameter :: nGC_4916 = 632
  integer, parameter :: nGC_5428 = 633
  integer, parameter :: nGC_5427 = 634
  integer, parameter :: nGC_4648 = 635
  integer, parameter :: nGC_4649 = 636
  integer, parameter :: nGC_4644 = 637
  integer, parameter :: nGC_4645 = 638
  integer, parameter :: nGC_4646 = 639
  integer, parameter :: nGC_4647 = 640
  integer, parameter :: nGC_4640 = 641
  integer, parameter :: nGC_4641 = 642
  integer, parameter :: nGC_4642 = 643
  integer, parameter :: nGC_4643 = 644
  integer, parameter :: nGC_5300 = 645
  integer, parameter :: nGC_7597 = 646
  integer, parameter :: nGC_7598 = 647
  integer, parameter :: nGC_8902 = 648
  integer, parameter :: nGC_259 = 649
  integer, parameter :: nGC_251 = 650
  integer, parameter :: nGC_253 = 651
  integer, parameter :: nGC_255 = 652
  integer, parameter :: nGC_11183 = 653
  integer, parameter :: nGC_5283 = 654
  integer, parameter :: nGC_8624 = 655
  integer, parameter :: nGC_8625 = 656
  integer, parameter :: nGC_5286 = 657
  integer, parameter :: nGC_7176 = 658
  integer, parameter :: nGC_5193 = 659
  integer, parameter :: nGC_5192 = 660
  integer, parameter :: nGC_5191 = 661
  integer, parameter :: nGC_5190 = 662
  integer, parameter :: nGC_5194 = 663
  integer, parameter :: nGC_8274 = 664
  integer, parameter :: nGC_8276 = 665
  integer, parameter :: nGC_100 = 666
  integer, parameter :: nGC_101 = 667
  integer, parameter :: nGC_102 = 668
  integer, parameter :: nGC_103 = 669
  integer, parameter :: nGC_104 = 670
  integer, parameter :: nGC_105 = 671
  integer, parameter :: nGC_106 = 672
  integer, parameter :: nGC_107 = 673
  integer, parameter :: nGC_108 = 674
  integer, parameter :: nGC_109 = 675
  integer, parameter :: nGC_8239 = 676
  integer, parameter :: nGC_8238 = 677
  integer, parameter :: nGC_1183 = 678
  integer, parameter :: nGC_5210 = 679
  integer, parameter :: nGC_5211 = 680
  integer, parameter :: nGC_5212 = 681
  integer, parameter :: nGC_5213 = 682
  integer, parameter :: nGC_5214 = 683
  integer, parameter :: nGC_5215 = 684
  integer, parameter :: nGC_5216 = 685
  integer, parameter :: nGC_5217 = 686
  integer, parameter :: nGC_5219 = 687
  integer, parameter :: nGC_923 = 688
  integer, parameter :: nGC_7163 = 689
  integer, parameter :: nGC_5328 = 690
  integer, parameter :: nGC_9453 = 691
  integer, parameter :: nGC_4855 = 692
  integer, parameter :: nGC_4854 = 693
  integer, parameter :: nGC_4857 = 694
  integer, parameter :: nGC_4856 = 695
  integer, parameter :: nGC_4853 = 696
  integer, parameter :: nGC_7779 = 697
  integer, parameter :: nGC_4859 = 698
  integer, parameter :: nGC_4858 = 699
  integer, parameter :: nGC_12189 = 700
  integer, parameter :: nGC_5265 = 701
  integer, parameter :: nGC_5438 = 702
  integer, parameter :: nGC_5439 = 703
  integer, parameter :: nGC_4926 = 704
  integer, parameter :: nGC_5431 = 705
  integer, parameter :: nGC_5432 = 706
  integer, parameter :: nGC_5433 = 707
  integer, parameter :: nGC_5434 = 708
  integer, parameter :: nGC_5435 = 709
  integer, parameter :: nGC_5436 = 710
  integer, parameter :: nGC_5437 = 711
  integer, parameter :: nGC_4679 = 712
  integer, parameter :: nGC_4678 = 713
  integer, parameter :: nGC_4671 = 714
  integer, parameter :: nGC_4670 = 715
  integer, parameter :: nGC_4673 = 716
  integer, parameter :: nGC_4672 = 717
  integer, parameter :: nGC_4675 = 718
  integer, parameter :: nGC_4674 = 719
  integer, parameter :: nGC_4677 = 720
  integer, parameter :: nGC_4676 = 721
  integer, parameter :: nGC_TS_GC_35_Hh = 722
  integer, parameter :: nGC_7589 = 723
  integer, parameter :: nGC_TS_GC_75_Hh = 724
  integer, parameter :: nGC_247 = 725
  integer, parameter :: nGC_TS_GC_21_Hl = 726
  integer, parameter :: nGC_11171 = 727
  integer, parameter :: nGC_TS_GC_21_Hh = 728
  integer, parameter :: nGC_TS_GC_76_Hl = 729
  integer, parameter :: nGC_TS_GC_76_Hh = 730
  integer, parameter :: nGC_4583 = 731
  integer, parameter :: nGC_4582 = 732
  integer, parameter :: nGC_4581 = 733
  integer, parameter :: nGC_4580 = 734
  integer, parameter :: nGC_4587 = 735
  integer, parameter :: nGC_4586 = 736
  integer, parameter :: nGC_4585 = 737
  integer, parameter :: nGC_4584 = 738
  integer, parameter :: nGC_4589 = 739
  integer, parameter :: nGC_4588 = 740
  integer, parameter :: nGC_5180 = 741
  integer, parameter :: nGC_5181 = 742
  integer, parameter :: nGC_5182 = 743
  integer, parameter :: nGC_5189 = 744
  integer, parameter :: nGC_119 = 745
  integer, parameter :: nGC_118 = 746
  integer, parameter :: nGC_117 = 747
  integer, parameter :: nGC_116 = 748
  integer, parameter :: nGC_115 = 749
  integer, parameter :: nGC_114 = 750
  integer, parameter :: nGC_113 = 751
  integer, parameter :: nGC_112 = 752
  integer, parameter :: nGC_111 = 753
  integer, parameter :: nGC_110 = 754
  integer, parameter :: nGC_7080 = 755
  integer, parameter :: nGC_TS_GC_72_Hh = 756
  integer, parameter :: nGC_1107 = 757
  integer, parameter :: nGC_2389 = 758
  integer, parameter :: nGC_TS_GC_114_Hl = 759
  integer, parameter :: nGC_7122 = 760
  integer, parameter :: nGC_7860 = 761
  integer, parameter :: nGC_TS_GC_47_Hl = 762
  integer, parameter :: nGC_8319 = 763
  integer, parameter :: nGC_5000 = 764
  integer, parameter :: nGC_5003 = 765
  integer, parameter :: nGC_5002 = 766
  integer, parameter :: nGC_5004 = 767
  integer, parameter :: nGC_5007 = 768
  integer, parameter :: nGC_5006 = 769
  integer, parameter :: nGC_5009 = 770
  integer, parameter :: nGC_8256 = 771
  integer, parameter :: nGC_5066 = 772
  integer, parameter :: nGC_5257 = 773
  integer, parameter :: nGC_8958 = 774
  integer, parameter :: nGC_8959 = 775
  integer, parameter :: nGC_5344 = 776
  integer, parameter :: nGC_5345 = 777
  integer, parameter :: nGC_5229 = 778
  integer, parameter :: nGC_5228 = 779
  integer, parameter :: nGC_5340 = 780
  integer, parameter :: nGC_5341 = 781
  integer, parameter :: nGC_5225 = 782
  integer, parameter :: nGC_5224 = 783
  integer, parameter :: nGC_5227 = 784
  integer, parameter :: nGC_5226 = 785
  integer, parameter :: nGC_931 = 786
  integer, parameter :: nGC_5220 = 787
  integer, parameter :: nGC_5223 = 788
  integer, parameter :: nGC_5222 = 789
  integer, parameter :: nGC_7203 = 790
  integer, parameter :: nGC_8008 = 791
  integer, parameter :: nGC_8009 = 792
  integer, parameter :: nGC_9059 = 793
  integer, parameter :: nGC_8413 = 794
  integer, parameter :: nGC_TS_GC_22_Hh = 795
  integer, parameter :: nGC_TS_GC_22_Hl = 796
  integer, parameter :: nGC_8470 = 797
  integer, parameter :: nGC_7054 = 798
  integer, parameter :: nGC_7995 = 799
  integer, parameter :: nGC_4848 = 800
  integer, parameter :: nGC_4849 = 801
  integer, parameter :: nGC_8679 = 802
  integer, parameter :: nGC_5331 = 803
  integer, parameter :: nGC_TS_GC_9_Hh = 804
  integer, parameter :: nGC_8074 = 805
  integer, parameter :: nGC_8073 = 806
  integer, parameter :: nGC_8070 = 807
  integer, parameter :: nGC_TS_GC_89_Hl = 808
  integer, parameter :: nGC_7056 = 809
  integer, parameter :: nGC_8171 = 810
  integer, parameter :: nGC_5335 = 811
  integer, parameter :: nGC_5334 = 812
  integer, parameter :: nGC_7508 = 813
  integer, parameter :: nGC_9457 = 814
  integer, parameter :: nGC_7507 = 815
  integer, parameter :: nGC_TS_GC_118_Hh = 816
  integer, parameter :: nGC_4939 = 817
  integer, parameter :: nGC_4936 = 818
  integer, parameter :: nGC_4934 = 819
  integer, parameter :: nGC_4932 = 820
  integer, parameter :: nGC_4930 = 821
  integer, parameter :: nGC_TS_GC_69_Hh = 822
  integer, parameter :: nGC_7475 = 823
  integer, parameter :: nGC_5041 = 824
  integer, parameter :: nGC_7473 = 825
  integer, parameter :: nGC_7375 = 826
  integer, parameter :: nGC_7374 = 827
  integer, parameter :: nGC_7370 = 828
  integer, parameter :: nGC_7373 = 829
  integer, parameter :: nGC_5168 = 830
  integer, parameter :: nGC_5167 = 831
  integer, parameter :: nGC_9108 = 832
  integer, parameter :: nGC_8754 = 833
  integer, parameter :: nGC_8759 = 834
  integer, parameter :: nGC_7483 = 835
  integer, parameter :: nGC_8283 = 836
  integer, parameter :: nGC_8284 = 837
  integer, parameter :: nGC_7484 = 838
  integer, parameter :: nGC_7590 = 839
  integer, parameter :: nGC_4884 = 840
  integer, parameter :: nGC_7726 = 841
  integer, parameter :: nGC_7727 = 842
  integer, parameter :: nGC_4880 = 843
  integer, parameter :: nGC_4881 = 844
  integer, parameter :: nGC_7728 = 845
  integer, parameter :: nGC_7729 = 846
  integer, parameter :: nGC_9408 = 847
  integer, parameter :: nGC_7157 = 848
  integer, parameter :: nGC_7156 = 849
  integer, parameter :: nGC_7159 = 850
  integer, parameter :: nGC_7158 = 851
  integer, parameter :: nGC_7390 = 852
  integer, parameter :: nGC_8036 = 853
  integer, parameter :: nGC_5264 = 854
  integer, parameter :: nGC_4976 = 855
  integer, parameter :: nGC_4974 = 856
  integer, parameter :: nGC_7617 = 857
  integer, parameter :: nGC_4978 = 858
  integer, parameter :: nGC_7610 = 859
  integer, parameter :: nGC_7027 = 860
  integer, parameter :: nGC_7028 = 861
  integer, parameter :: nGC_7339 = 862
  integer, parameter :: nGC_5029 = 863
  integer, parameter :: nGC_5089 = 864
  integer, parameter :: nGC_5088 = 865
  integer, parameter :: nGC_7531 = 866
  integer, parameter :: nGC_7530 = 867
  integer, parameter :: nGC_5081 = 868
  integer, parameter :: nGC_5080 = 869
  integer, parameter :: nGC_5083 = 870
  integer, parameter :: nGC_5082 = 871
  integer, parameter :: nGC_5085 = 872
  integer, parameter :: nGC_5084 = 873
  integer, parameter :: nGC_5087 = 874
  integer, parameter :: nGC_5086 = 875
  integer, parameter :: nGC_4906 = 876
  integer, parameter :: nGC_4905 = 877
  integer, parameter :: nGC_8684 = 878
  integer, parameter :: nGC_4986 = 879
  integer, parameter :: nGC_4909 = 880
  integer, parameter :: nGC_7326 = 881
  integer, parameter :: nGC_7325 = 882
  integer, parameter :: nGC_7288 = 883
  integer, parameter :: nGC_7287 = 884
  integer, parameter :: nGC_10659 = 885
  integer, parameter :: nGC_5153 = 886
  integer, parameter :: nGC_5152 = 887
  integer, parameter :: nGC_5016 = 888
  integer, parameter :: nGC_5017 = 889
  integer, parameter :: nGC_5015 = 890
  integer, parameter :: nGC_5012 = 891
  integer, parameter :: nGC_5013 = 892
  integer, parameter :: nGC_5159 = 893
  integer, parameter :: nGC_9096 = 894
  integer, parameter :: nGC_9097 = 895
  integer, parameter :: nGC_8969 = 896
  integer, parameter :: nGC_8968 = 897
  integer, parameter :: nGC_8964 = 898
  integer, parameter :: nGC_8967 = 899
  integer, parameter :: nGC_8966 = 900
  integer, parameter :: nGC_5333 = 901
  integer, parameter :: nGC_5332 = 902
  integer, parameter :: nGC_5238 = 903
  integer, parameter :: nGC_5239 = 904
  integer, parameter :: nGC_5337 = 905
  integer, parameter :: nGC_5336 = 906
  integer, parameter :: nGC_7809 = 907
  integer, parameter :: nGC_7808 = 908
  integer, parameter :: nGC_5233 = 909
  integer, parameter :: nGC_5230 = 910
  integer, parameter :: nGC_5231 = 911
  integer, parameter :: nGC_5236 = 912
  integer, parameter :: nGC_5237 = 913
  integer, parameter :: nGC_7801 = 914
  integer, parameter :: nGC_5235 = 915
  integer, parameter :: nGC_TS_GC_108_Hh = 916
  integer, parameter :: nGC_7191 = 917
  integer, parameter :: nGC_7192 = 918
  integer, parameter :: nGC_8561 = 919
  integer, parameter :: nGC_8562 = 920
  integer, parameter :: nGC_5070 = 921
  integer, parameter :: nGC_5296 = 922
  integer, parameter :: nGC_5071 = 923
  integer, parameter :: nGC_5272 = 924
  integer, parameter :: nGC_8762 = 925
  integer, parameter :: nGC_8761 = 926
  integer, parameter :: nGC_5010 = 927
  integer, parameter :: nGC_8587 = 928
  integer, parameter :: nGC_TS_GC_113_Hh = 929
  integer, parameter :: nGC_8589 = 930
  integer, parameter :: nGC_8588 = 931
  integer, parameter :: nGC_9692 = 932
  integer, parameter :: nGC_9693 = 933
  integer, parameter :: nGC_9694 = 934
  integer, parameter :: nGC_9695 = 935
  integer, parameter :: nGC_9696 = 936
  integer, parameter :: nGC_9697 = 937
  integer, parameter :: nGC_5011 = 938
  integer, parameter :: nGC_7065 = 939
  integer, parameter :: nGC_4964 = 940
  integer, parameter :: nGC_5247 = 941
  integer, parameter :: nGC_5245 = 942
  integer, parameter :: nGC_5244 = 943
  integer, parameter :: nGC_5243 = 944
  integer, parameter :: nGC_8066 = 945
  integer, parameter :: nGC_7265 = 946
  integer, parameter :: nGC_8067 = 947
  integer, parameter :: nGC_TS_GC_104_Hl = 948
  integer, parameter :: nGC_7261 = 949
  integer, parameter :: nGC_419 = 950
  integer, parameter :: nGC_7106 = 951
  integer, parameter :: nGC_7107 = 952
  integer, parameter :: nGC_7104 = 953
  integer, parameter :: nGC_5279 = 954
  integer, parameter :: nGC_8068 = 955
  integer, parameter :: nGC_7268 = 956
  integer, parameter :: nGC_8683 = 957
  integer, parameter :: nGC_5330 = 958
  integer, parameter :: nGC_7105 = 959
  integer, parameter :: nGC_8279 = 960
  integer, parameter :: nGC_5101 = 961
  integer, parameter :: nGC_4943 = 962
  integer, parameter :: nGC_9212 = 963
  integer, parameter :: nGC_10691 = 964
  integer, parameter :: nGC_5103 = 965
  integer, parameter :: nGC_10696 = 966
  integer, parameter :: nGC_5259 = 967
  integer, parameter :: nGC_7090 = 968
  integer, parameter :: nGC_7402 = 969
  integer, parameter :: nGC_9828 = 970
  integer, parameter :: nGC_TS_GC_28_Hh = 971
  integer, parameter :: nGC_7061 = 972
  integer, parameter :: nGC_TS_GC_123_Hh = 973
  integer, parameter :: nGC_7361 = 974
  integer, parameter :: nGC_7366 = 975
  integer, parameter :: nGC_7367 = 976
  integer, parameter :: nGC_7568 = 977
  integer, parameter :: nGC_7569 = 978
  integer, parameter :: nGC_5348 = 979
  integer, parameter :: nGC_5053 = 980
  integer, parameter :: nGC_5349 = 981
  integer, parameter :: nGC_7847 = 982
  integer, parameter :: nGC_5269 = 983
  integer, parameter :: nGC_13503 = 984
  integer, parameter :: nGC_13501 = 985
  integer, parameter :: nGC_TS_GC_77_Hl = 986
  integer, parameter :: nGC_7928 = 987
  integer, parameter :: nGC_TS_GC_30_Hl = 988
  integer, parameter :: nGC_TS_GC_30_Hh = 989
  integer, parameter :: nGC_5026 = 990
  integer, parameter :: nGC_5023 = 991
  integer, parameter :: nGC_5020 = 992
  integer, parameter :: nGC_7317 = 993
  integer, parameter :: nGC_7312 = 994
  integer, parameter :: nGC_TS_GC_94_Hl = 995
  integer, parameter :: nGC_7494 = 996
  integer, parameter :: nGC_7695 = 997
  integer, parameter :: nGC_5314 = 998
  integer, parameter :: nGC_13227 = 999
  integer, parameter :: nGC_7140 = 1000
  integer, parameter :: nGC_7994 = 1001
  integer, parameter :: nGC_5364 = 1002
  integer, parameter :: nGC_5360 = 1003
  integer, parameter :: nGC_5361 = 1004
  integer, parameter :: nGC_5362 = 1005
  integer, parameter :: nGC_5363 = 1006
  integer, parameter :: nGC_7387 = 1007
  integer, parameter :: nGC_7382 = 1008
  integer, parameter :: nGC_7859 = 1009
  integer, parameter :: nGC_7227 = 1010
  integer, parameter :: nGC_7389 = 1011
  integer, parameter :: nGC_10240 = 1012
  integer, parameter :: nGC_4912 = 1013
  integer, parameter :: nGC_9700 = 1014
  integer, parameter :: nGC_TS_GC_124_Hl = 1015
  integer, parameter :: nGC_4987 = 1016
  integer, parameter :: nGC_7662 = 1017
  integer, parameter :: nGC_4984 = 1018
  integer, parameter :: nGC_7667 = 1019
  integer, parameter :: nGC_TS_GC_20_Hh = 1020
  integer, parameter :: nGC_4980 = 1021
  integer, parameter :: nGC_5298 = 1022
  integer, parameter :: nGC_5299 = 1023
  integer, parameter :: nGC_10236 = 1024
  integer, parameter :: nGC_10338 = 1025
  integer, parameter :: nGC_7038 = 1026
  integer, parameter :: nGC_7039 = 1027
  integer, parameter :: nGC_11540 = 1028
  integer, parameter :: nGC_7037 = 1029
  integer, parameter :: nGC_9098 = 1030
  integer, parameter :: nGC_7035 = 1031
  integer, parameter :: nGC_5295 = 1032
  integer, parameter :: nGC_7030 = 1033
  integer, parameter :: nGC_5297 = 1034
  integer, parameter :: nGC_5096 = 1035
  integer, parameter :: nGC_5097 = 1036
  integer, parameter :: nGC_5094 = 1037
  integer, parameter :: nGC_5095 = 1038
  integer, parameter :: nGC_5092 = 1039
  integer, parameter :: nGC_5093 = 1040
  integer, parameter :: nGC_5090 = 1041
  integer, parameter :: nGC_5091 = 1042
  integer, parameter :: nGC_5098 = 1043
  integer, parameter :: nGC_5099 = 1044
  integer, parameter :: nGC_7529 = 1045
  integer, parameter :: nGC_TS_GC_84_Hl = 1046
  integer, parameter :: nGC_4914 = 1047
  integer, parameter :: nGC_4915 = 1048
  integer, parameter :: nGC_4917 = 1049
  integer, parameter :: nGC_4911 = 1050
  integer, parameter :: nGC_4913 = 1051
  integer, parameter :: nGC_4908 = 1052
  integer, parameter :: nGC_8730 = 1053
  integer, parameter :: nGC_5035 = 1054
  integer, parameter :: nGC_10660 = 1055
  integer, parameter :: nGC_10664 = 1056
  integer, parameter :: nGC_8374 = 1057
  integer, parameter :: nGC_5008 = 1058
  integer, parameter :: nGC_10465 = 1059
  integer, parameter :: nGC_7295 = 1060
  integer, parameter :: nGC_5140 = 1061
  integer, parameter :: nGC_5141 = 1062
  integer, parameter :: nGC_5061 = 1063
  integer, parameter :: nGC_5148 = 1064
  integer, parameter :: nGC_5149 = 1065
  integer, parameter :: nGC_7452 = 1066
  integer, parameter :: nGC_7357 = 1067
  integer, parameter :: nGC_4993 = 1068
  integer, parameter :: nGC_7797 = 1069
  integer, parameter :: nGC_7795 = 1070
  integer, parameter :: nGC_7187 = 1071
  integer, parameter :: nGC_7185 = 1072
  integer, parameter :: nGC_5324 = 1073
  integer, parameter :: nGC_7819 = 1074
  integer, parameter :: nGC_5326 = 1075
  integer, parameter :: nGC_9455 = 1076
  integer, parameter :: nGC_1067 = 1077
  integer, parameter :: nGC_8578 = 1078
  integer, parameter :: nGC_8579 = 1079
  integer, parameter :: nGC_8573 = 1080
  integer, parameter :: nGC_8576 = 1081
  integer, parameter :: nGC_5078 = 1082
  integer, parameter :: nGC_8807 = 1083
  integer, parameter :: nGC_8595 = 1084
  integer, parameter :: nGC_8596 = 1085
  integer, parameter :: nGC_8597 = 1086
  integer, parameter :: nGC_8590 = 1087
  integer, parameter :: nGC_11182 = 1088
  integer, parameter :: nGC_8598 = 1089
  integer, parameter :: nGC_8599 = 1090
  integer, parameter :: nGC_8626 = 1091
  integer, parameter :: nGC_5068 = 1092
  integer, parameter :: nGC_8985 = 1093
  integer, parameter :: nGC_7459 = 1094
  integer, parameter :: nGC_7075 = 1095
  integer, parameter :: nGC_9374 = 1096
  integer, parameter :: nGC_5251 = 1097
  integer, parameter :: nGC_5252 = 1098
  integer, parameter :: nGC_5253 = 1099
  integer, parameter :: nGC_5063 = 1100
  integer, parameter :: nGC_5267 = 1101
  integer, parameter :: nGC_7270 = 1102
  integer, parameter :: nGC_7271 = 1103
  integer, parameter :: nGC_7272 = 1104
  integer, parameter :: nGC_7273 = 1105
  integer, parameter :: nGC_7170 = 1106
  integer, parameter :: nGC_11467 = 1107
  integer, parameter :: nGC_10999 = 1108
  integer, parameter :: nGC_8978 = 1109
  integer, parameter :: nGC_8979 = 1110
  integer, parameter :: nGC_5075 = 1111
  integer, parameter :: nGC_TS_GC_40_Hh = 1112
  integer, parameter :: nGC_7451 = 1113
  integer, parameter :: nGC_5065 = 1114
  integer, parameter :: nGC_5064 = 1115
  integer, parameter :: nGC_7112 = 1116
  integer, parameter :: nGC_8603 = 1117
  integer, parameter :: nGC_4950 = 1118
  integer, parameter :: nGC_4951 = 1119
  integer, parameter :: nGC_4899 = 1120
  integer, parameter :: nGC_7117 = 1121
  integer, parameter :: nGC_TS_GC_119_Hl = 1122
  integer, parameter :: nGC_5342 = 1123
  integer, parameter :: nGC_7532 = 1124
  integer, parameter :: nGC_5100 = 1125
  integer, parameter :: nGC_8172 = 1126
  integer, parameter :: nGC_5102 = 1127
  integer, parameter :: nGC_7552 = 1128
  integer, parameter :: nGC_5104 = 1129
  integer, parameter :: nGC_5105 = 1130
  integer, parameter :: nGC_5106 = 1131
  integer, parameter :: nGC_5107 = 1132
  integer, parameter :: nGC_7087 = 1133
  integer, parameter :: nGC_7571 = 1134
  integer, parameter :: nGC_7996 = 1135
  integer, parameter :: nGC_7057 = 1136
  integer, parameter :: nGC_5263 = 1137
  integer, parameter :: nGC_5343 = 1138
  integer, parameter :: nGC_5262 = 1139
  integer, parameter :: nGC_5218 = 1140
  integer, parameter :: nGC_7570 = 1141
  integer, parameter :: nGC_7081 = 1142
  integer, parameter :: nGC_7330 = 1143
  integer, parameter :: nGC_5266 = 1144
  integer, parameter :: nGC_5034 = 1145
  integer, parameter :: nGC_8731 = 1146
  integer, parameter :: nGC_8732 = 1147
  integer, parameter :: nGC_8733 = 1148
  integer, parameter :: nGC_7307 = 1149
  integer, parameter :: nGC_5038 = 1150
  integer, parameter :: nGC_7303 = 1151
  integer, parameter :: nGC_7434 = 1152
  integer, parameter :: nGC_8519 = 1153
  integer, parameter :: nGC_11459 = 1154
  integer, parameter :: nGC_5057 = 1155
  integer, parameter :: nGC_5320 = 1156
  integer, parameter :: nGC_443 = 1157
  integer, parameter :: nGC_5321 = 1158
  integer, parameter :: nGC_5351 = 1159
  integer, parameter :: nGC_5350 = 1160
  integer, parameter :: nGC_883 = 1161
  integer, parameter :: nGC_5355 = 1162
  integer, parameter :: nGC_5354 = 1163
  integer, parameter :: nGC_7981 = 1164
  integer, parameter :: nGC_8396 = 1165
  integer, parameter :: nGC_8680 = 1166
  integer, parameter :: nGC_8422 = 1167
  integer, parameter :: nGC_5325 = 1168
  integer, parameter :: nGC_11135 = 1169
  integer, parameter :: nGC_7138 = 1170
  integer, parameter :: nGC_7770 = 1171
  integer, parameter :: nGC_4998 = 1172
  integer, parameter :: nGC_4999 = 1173
  integer, parameter :: nGC_4995 = 1174
  integer, parameter :: nGC_4996 = 1175
  integer, parameter :: nGC_7674 = 1176
  integer, parameter :: nGC_7675 = 1177
  integer, parameter :: nGC_4992 = 1178
  integer, parameter :: nGC_7677 = 1179
  integer, parameter :: nGC_5069 = 1180
  integer, parameter :: nGC_10329 = 1181
  integer, parameter :: nGC_7041 = 1182
  integer, parameter :: nGC_7040 = 1183
  integer, parameter :: nGC_7045 = 1184
  integer, parameter :: nGC_9060 = 1185
  integer, parameter :: nGC_8471 = 1186
  integer, parameter :: nGC_9289 = 1187
  integer, parameter :: nGC_8424 = 1188
  integer, parameter :: nGC_4958 = 1189
  integer, parameter :: nGC_TS_GC_61_Hl = 1190
  integer, parameter :: nGC_8397 = 1191
  integer, parameter :: nGC_7511 = 1192
  integer, parameter :: nGC_7512 = 1193
  integer, parameter :: nGC_4922 = 1194
  integer, parameter :: nGC_4925 = 1195
  integer, parameter :: nGC_7236 = 1196
  integer, parameter :: nGC_4927 = 1197
  integer, parameter :: nGC_4928 = 1198
  integer, parameter :: nGC_7237 = 1199
  integer, parameter :: nGC_TS_GC_31_Hl = 1200
  integer, parameter :: nGC_4929 = 1201
  integer, parameter :: nGC_5273 = 1202
  integer, parameter :: nGC_8265 = 1203
  integer, parameter :: nGC_8348 = 1204
  integer, parameter :: nGC_8340 = 1205
  integer, parameter :: nGC_5173 = 1206
  integer, parameter :: nGC_5174 = 1207
  integer, parameter :: nGC_5179 = 1208
  integer, parameter :: nGC_5178 = 1209
  integer, parameter :: nGC_5072 = 1210
  integer, parameter :: nGC_5073 = 1211
  integer, parameter :: nGC_5074 = 1212
  integer, parameter :: nGC_7464 = 1213
  integer, parameter :: nGC_5076 = 1214
  integer, parameter :: nGC_5077 = 1215
  integer, parameter :: nGC_7783 = 1216
  integer, parameter :: nGC_TS_GC_48_Hl = 1217
  integer, parameter :: nGC_8195 = 1218
  integer, parameter :: nGC_8196 = 1219
  integer, parameter :: nGC_1275 = 1220
  integer, parameter :: nGC_9509 = 1221
  integer, parameter :: nGC_11586 = 1222
  integer, parameter :: nGC_11581 = 1223
  integer, parameter :: nGC_5313 = 1224
  integer, parameter :: nGC_8339 = 1225
  integer, parameter :: nGC_1071 = 1226
  integer, parameter :: nGC_1073 = 1227
  integer, parameter :: nGC_8469 = 1228
  integer, parameter :: nGC_11072 = 1229
  integer, parameter :: nGC_11073 = 1230
  integer, parameter :: nGC_4839 = 1231
  integer, parameter :: nGC_7246 = 1232
  integer, parameter :: nGC_TS_GC_18_Hl = 1233
  integer, parameter :: nGC_TS_GC_18_Hh = 1234
  integer, parameter :: nGC_14855 = 1235
  integer, parameter :: nGC_14857 = 1236
  integer, parameter :: nGC_8125 = 1237
  integer, parameter :: nGC_4898 = 1238
  integer, parameter :: nGC_8126 = 1239
  integer, parameter :: nGC_8128 = 1240
  integer, parameter :: nGC_4897 = 1241
  integer, parameter :: nGC_4896 = 1242
  integer, parameter :: nGC_8905 = 1243
  integer, parameter :: nGC_8904 = 1244
  integer, parameter :: nGC_7160 = 1245
  integer, parameter :: nGC_435 = 1246
  integer, parameter :: nGC_5183 = 1247
  integer, parameter :: nGC_5184 = 1248
  integer, parameter :: nGC_5185 = 1249
  integer, parameter :: nGC_5186 = 1250
  integer, parameter :: nGC_5187 = 1251
  integer, parameter :: nGC_5188 = 1252
  integer, parameter :: nGC_7082 = 1253
  integer, parameter :: nGC_7618 = 1254
  integer, parameter :: nGC_TS_GC_103_Hh = 1255
  integer, parameter :: nGC_7755 = 1256
  integer, parameter :: nGC_4851 = 1257
  integer, parameter :: nGC_4850 = 1258
  integer, parameter :: nGC_7600 = 1259
  integer, parameter :: nGC_4967 = 1260
  integer, parameter :: nGC_4966 = 1261
  integer, parameter :: nGC_4961 = 1262
  integer, parameter :: nGC_4960 = 1263
  integer, parameter :: nGC_4963 = 1264
  integer, parameter :: nGC_4962 = 1265
  integer, parameter :: nGC_5019 = 1266
  integer, parameter :: nGC_4969 = 1267
  integer, parameter :: nGC_4968 = 1268
  integer, parameter :: nGC_TS_GC_109_Hl = 1269
  integer, parameter :: nGC_7308 = 1270
  integer, parameter :: nGC_8244 = 1271
  integer, parameter :: nGC_8245 = 1272
  integer, parameter :: nGC_5062 = 1273
  integer, parameter :: nGC_5014 = 1274
  integer, parameter :: nGC_5040 = 1275
  integer, parameter :: nGC_5201 = 1276
  integer, parameter :: nGC_5110 = 1277
  integer, parameter :: nGC_5124 = 1278
  integer, parameter :: nGC_5117 = 1279
  integer, parameter :: nGC_5032 = 1280
  integer, parameter :: nGC_4894 = 1281
  integer, parameter :: nGC_5135 = 1282
  integer, parameter :: nGC_5134 = 1283
  integer, parameter :: nGC_5137 = 1284
  integer, parameter :: nGC_5136 = 1285
  integer, parameter :: nGC_5131 = 1286
  integer, parameter :: nGC_5130 = 1287
  integer, parameter :: nGC_5133 = 1288
  integer, parameter :: nGC_5204 = 1289
  integer, parameter :: nGC_5209 = 1290
  integer, parameter :: nGC_5158 = 1291
  integer, parameter :: nGC_5139 = 1292
  integer, parameter :: nGC_5138 = 1293
  integer, parameter :: nGC_4972 = 1294
  integer, parameter :: nGC_4973 = 1295
  integer, parameter :: nGC_4970 = 1296
  integer, parameter :: nGC_4971 = 1297
  integer, parameter :: nGC_7146 = 1298
  integer, parameter :: nGC_4977 = 1299
  integer, parameter :: nGC_7997 = 1300
  integer, parameter :: nGC_4975 = 1301
  integer, parameter :: nGC_4979 = 1302
  integer, parameter :: nGC_7613 = 1303
  integer, parameter :: nGC_8986 = 1304
  integer, parameter :: nGC_7676 = 1305
  integer, parameter :: nGC_10341 = 1306
  integer, parameter :: nGC_7222 = 1307
  integer, parameter :: nGC_7221 = 1308
  integer, parameter :: nGC_5143 = 1309
  integer, parameter :: nGC_10241 = 1310
  integer, parameter :: nGC_10150 = 1311
  integer, parameter :: nGC_5037 = 1312
  integer, parameter :: nGC_13758 = 1313
  integer, parameter :: nGC_7186 = 1314
  integer, parameter :: nGC_5122 = 1315
  integer, parameter :: nGC_5123 = 1316
  integer, parameter :: nGC_5120 = 1317
  integer, parameter :: nGC_5126 = 1318
  integer, parameter :: nGC_5125 = 1319
  integer, parameter :: nGC_10723 = 1320
  integer, parameter :: nGC_4955 = 1321
  integer, parameter :: nGC_5128 = 1322
  integer, parameter :: nGC_5129 = 1323
  integer, parameter :: nGC_5206 = 1324
  integer, parameter :: nGC_10724 = 1325
  integer, parameter :: nGC_5001 = 1326
  integer, parameter :: nGC_5203 = 1327
  integer, parameter :: nGC_5005 = 1328
  integer, parameter :: nGC_4989 = 1329
  integer, parameter :: nGC_4988 = 1330
  integer, parameter :: nGC_4954 = 1331
  integer, parameter :: nGC_4985 = 1332
  integer, parameter :: nGC_9709 = 1333
  integer, parameter :: nGC_4983 = 1334
  integer, parameter :: nGC_4982 = 1335
  integer, parameter :: nGC_4981 = 1336
  integer, parameter :: nGC_7238 = 1337
  integer, parameter :: nGC_5200 = 1338
  integer, parameter :: nGC_8286 = 1339
  integer, parameter :: nGC_4901 = 1340
  integer, parameter :: nGC_4956 = 1341
  integer, parameter :: nGC_5207 = 1342
  integer, parameter :: nGC_9099 = 1343
  integer, parameter :: nGC_4892 = 1344
  integer, parameter :: nGC_5205 = 1345
  integer, parameter :: nGC_8341 = 1346
  integer, parameter :: nGC_7982 = 1347
  integer, parameter :: nGC_5132 = 1348
  integer, parameter :: nGC_4852 = 1349
  integer, parameter :: nGC_7572 = 1350
  integer, parameter :: nGC_9471 = 1351
  integer, parameter :: nGC_7601 = 1352
  integer, parameter :: nGC_7528 = 1353
  integer, parameter :: nGC_7204 = 1354
  integer, parameter :: nGC_5155 = 1355
  integer, parameter :: nGC_7206 = 1356
  integer, parameter :: nGC_8763 = 1357
  integer, parameter :: nGC_5018 = 1358
  integer, parameter :: nGC_5150 = 1359
  integer, parameter :: nGC_8246 = 1360
  integer, parameter :: nGC_4990 = 1361
  integer, parameter :: nGC_4991 = 1362
  integer, parameter :: nGC_7441 = 1363
  integer, parameter :: nGC_7722 = 1364
  integer, parameter :: nGC_7771 = 1365
  integer, parameter :: nGC_4918 = 1366
  integer, parameter :: nGC_8924 = 1367
  integer, parameter :: nGC_9061 = 1368
  integer, parameter :: nGC_10339 = 1369
  integer, parameter :: nGC_5170 = 1370
  integer, parameter :: nGC_8965 = 1371
  integer, parameter :: nGC_5036 = 1372
  integer, parameter :: nGC_10665 = 1373
  integer, parameter :: nGC_7646 = 1374
  integer, parameter :: nGC_8425 = 1375
  integer, parameter :: nGC_9364 = 1376
  integer, parameter :: nGC_7296 = 1377
  integer, parameter :: nGC_7171 = 1378
  integer, parameter :: nGC_5030 = 1379
  integer, parameter :: nGC_4842 = 1380
  integer, parameter :: nGC_4843 = 1381
  integer, parameter :: nGC_4840 = 1382
  integer, parameter :: nGC_4841 = 1383
  integer, parameter :: nGC_4846 = 1384
  integer, parameter :: nGC_4847 = 1385
  integer, parameter :: nGC_4844 = 1386
  integer, parameter :: nGC_4845 = 1387
  integer, parameter :: nGC_7454 = 1388
  integer, parameter :: nGC_7455 = 1389
  integer, parameter :: nGC_7145 = 1390
  integer, parameter :: nGC_7599 = 1391
  integer, parameter :: nGC_7196 = 1392
  integer, parameter :: nGC_4921 = 1393
  integer, parameter :: nGC_4891 = 1394
  integer, parameter :: nGC_4924 = 1395
  integer, parameter :: nGC_8764 = 1396
  integer, parameter :: nGC_9070 = 1397
  integer, parameter :: nGC_7055 = 1398
  integer, parameter :: nGC_4895 = 1399
  integer, parameter :: nGC_4910 = 1400
  integer, parameter :: nGC_8581 = 1401
  integer, parameter :: nGC_8580 = 1402
  integer, parameter :: nGC_5033 = 1403
  integer, parameter :: nGC_5039 = 1404
  integer, parameter :: nGC_5208 = 1405
  integer, parameter :: nGC_7656 = 1406
  integer, parameter :: nGC_8263 = 1407
  integer, parameter :: nGC_10053 = 1408
  integer, parameter :: nGC_9698 = 1409
  integer, parameter :: nGC_9699 = 1410
  integer, parameter :: nGC_14094 = 1411
  integer, parameter :: nGC_9456 = 1412
  integer, parameter :: nGC_7188 = 1413
  integer, parameter :: nGC_5171 = 1414
  integer, parameter :: nGC_8472 = 1415
  integer, parameter :: nGC_5172 = 1416
  integer, parameter :: nGC_5151 = 1417
  integer, parameter :: nGC_5195 = 1418
  integer, parameter :: nGC_5177 = 1419
  integer, parameter :: nGC_8734 = 1420
  integer, parameter :: nGC_15019 = 1421
  integer, parameter :: nGC_4837 = 1422
  integer, parameter :: nGC_4836 = 1423
  integer, parameter :: nGC_4835 = 1424
  integer, parameter :: nGC_4834 = 1425
  integer, parameter :: nGC_10301 = 1426
  integer, parameter :: nGC_4919 = 1427
  integer, parameter :: nGC_4938 = 1428
  integer, parameter :: nGC_4937 = 1429
  integer, parameter :: nGC_4935 = 1430
  integer, parameter :: nGC_14266 = 1431
  integer, parameter :: nGC_4933 = 1432
  integer, parameter :: nGC_4931 = 1433
  integer, parameter :: nGC_5027 = 1434
  integer, parameter :: nGC_5145 = 1435
  integer, parameter :: nGC_5144 = 1436
  integer, parameter :: nGC_5146 = 1437
  integer, parameter :: nGC_5045 = 1438
  integer, parameter :: nGC_5044 = 1439
  integer, parameter :: nGC_5047 = 1440
  integer, parameter :: nGC_5147 = 1441
  integer, parameter :: nGC_5043 = 1442
  integer, parameter :: nGC_5042 = 1443
  integer, parameter :: nGC_7377 = 1444
  integer, parameter :: nGC_7376 = 1445
  integer, parameter :: nGC_5048 = 1446
  integer, parameter :: nGC_8984 = 1447
  integer, parameter :: nGC_5154 = 1448
  integer, parameter :: nGC_7071 = 1449
  integer, parameter :: nGC_7076 = 1450
  integer, parameter :: nGC_5142 = 1451
  integer, parameter :: nGC_5169 = 1452
  integer, parameter :: nGC_5166 = 1453
  integer, parameter :: nGC_5164 = 1454
  integer, parameter :: nGC_5165 = 1455
  integer, parameter :: nGC_5162 = 1456
  integer, parameter :: nGC_5163 = 1457
  integer, parameter :: nGC_5160 = 1458
  integer, parameter :: nGC_5161 = 1459
  integer, parameter :: nGC_7274 = 1460
  integer, parameter :: nGC_4949 = 1461
  integer, parameter :: nGC_4948 = 1462
  integer, parameter :: nGC_5031 = 1463
  integer, parameter :: nGC_5175 = 1464
  integer, parameter :: nGC_5127 = 1465
  integer, parameter :: nGC_4942 = 1466
  integer, parameter :: nGC_4941 = 1467
  integer, parameter :: nGC_4940 = 1468
  integer, parameter :: nGC_4947 = 1469
  integer, parameter :: nGC_4946 = 1470
  integer, parameter :: nGC_4945 = 1471
  integer, parameter :: nGC_4944 = 1472
  integer, parameter :: nGC_8129 = 1473
  integer, parameter :: nGC_5197 = 1474
  integer, parameter :: nGC_5196 = 1475
  integer, parameter :: nGC_7830 = 1476
  integer, parameter :: nGC_7831 = 1477
  integer, parameter :: nGC_5199 = 1478
  integer, parameter :: nGC_5198 = 1479
  integer, parameter :: nGC_15469 = 1480
  integer, parameter :: nGC_7403 = 1481
  integer, parameter :: nGC_7686 = 1482
  integer, parameter :: nGC_5050 = 1483
  integer, parameter :: nGC_5051 = 1484
  integer, parameter :: nGC_8563 = 1485
  integer, parameter :: nGC_8349 = 1486
  integer, parameter :: nGC_4923 = 1487
  integer, parameter :: nGC_7453 = 1488
  integer, parameter :: nGC_9826 = 1489
  integer, parameter :: nGC_5119 = 1490
  integer, parameter :: nGC_5118 = 1491
  integer, parameter :: nGC_4920 = 1492
  integer, parameter :: nGC_5113 = 1493
  integer, parameter :: nGC_5112 = 1494
  integer, parameter :: nGC_5111 = 1495
  integer, parameter :: nGC_5116 = 1496
  integer, parameter :: nGC_5115 = 1497
  integer, parameter :: nGC_5114 = 1498
  integer, parameter :: nGC_8604 = 1499
  integer, parameter :: nGC_4959 = 1500
  integer, parameter :: nGC_4965 = 1501
  integer, parameter :: nGC_8907 = 1502
  integer, parameter :: nGC_5108 = 1503
  integer, parameter :: nGC_8906 = 1504
  integer, parameter :: nGC_4952 = 1505
  integer, parameter :: nGC_4953 = 1506
  integer, parameter :: nGC_8285 = 1507
  integer, parameter :: nGC_7485 = 1508
  integer, parameter :: nGC_4957 = 1509
  integer, parameter :: nGC_5157 = 1510
  integer, parameter :: nGC_5156 = 1511
  integer, parameter :: nGC_14226 = 1512
  integer, parameter :: nGC_5022 = 1513
  integer, parameter :: nGC_13502 = 1514
  integer, parameter :: nGC_8127 = 1515
  integer, parameter :: nGC_4886 = 1516
  integer, parameter :: nGC_4887 = 1517
  integer, parameter :: nGC_4885 = 1518
  integer, parameter :: nGC_7810 = 1519
  integer, parameter :: nGC_7419 = 1520
  integer, parameter :: nGC_4888 = 1521
  integer, parameter :: nGC_4889 = 1522
  integer, parameter :: nGC_9409 = 1523
  integer, parameter :: nGC_5109 = 1524
  integer, parameter :: nGC_5025 = 1525
  integer, parameter :: nGC_5024 = 1526
  integer, parameter :: nGC_5202 = 1527
  integer, parameter :: nGC_9035 = 1528
  integer, parameter :: nGC_5021 = 1529
  integer, parameter :: nGC_7094 = 1530
  integer, parameter :: nGC_7095 = 1531
  integer, parameter :: nGC_7314 = 1532
  integer, parameter :: nGC_7313 = 1533
  integer, parameter :: nGC_5176 = 1534
  integer, parameter :: nGC_5028 = 1535
  integer, parameter :: nGC_7077 = 1536
  integer, parameter :: nGC_4838 = 1537
  integer, parameter :: nGC_5121 = 1538
  integer, parameter :: nGC_7392 = 1539
  integer, parameter :: nGC_7391 = 1540
  integer, parameter :: nGC_4890 = 1541
  integer, parameter :: nGC_8033 = 1542
  integer, parameter :: nGC_7252 = 1543
  integer, parameter :: nGC_4893 = 1544
  integer, parameter :: nGC_8035 = 1545
  integer, parameter :: nGC_8034 = 1546
  integer, parameter :: nGC_14250 = 1547
  integer, parameter :: nGC_8264 = 1548
  integer, parameter :: nGC_7731 = 1549
  integer, parameter :: nGC_7657 = 1550
  integer, parameter :: nGC_7421 = 1551
  integer, parameter :: nGC_7420 = 1552
  integer, parameter :: nGC_7205 = 1553
  integer, parameter :: nGC_9827 = 1554
  integer, parameter :: nGC_7614 = 1555
  integer, parameter :: nGC_8324 = 1556
  integer, parameter :: nGC_8323 = 1557
  integer, parameter :: nGC_7811 = 1558
  integer, parameter :: nGC_13730 = 1559
  integer, parameter :: nGC_13966 = 1560
  integer, parameter :: nGC_13980 = 1561
  integer, parameter :: nGC_7487 = 1562
  integer, parameter :: nGC_13774 = 1563
  integer, parameter :: nGC_13655 = 1564
  integer, parameter :: nGC_10666 = 1565
  integer, parameter :: nGC_7536 = 1566
  integer, parameter :: nGC_7535 = 1567
  integer, parameter :: nGC_7514 = 1568
  integer, parameter :: nGC_7513 = 1569
  integer, parameter :: nGC_8011 = 1570
  integer, parameter :: nGC_8010 = 1571
  integer, parameter :: nGC_14673 = 1572
  integer, parameter :: nGC_7197 = 1573
  integer, parameter :: nGC_7486 = 1574
  integer, parameter :: nGC_8076 = 1575
  integer, parameter :: nGC_8075 = 1576
  integer, parameter :: nGC_13802 = 1577
  integer, parameter :: nGC_7730 = 1578
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
