!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_90) = -cima*ydo
      coupl(nGC_233) = -ca*cima*(ca**2d0*l3 + 3d0*l2*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_231) = cima*(3d0*ca**3d0*l1*vev - 2d0*ca**3d0*l3*vev - 6d0*ca**&
                       2d0*l2*sa*vevs + 7d0*ca**2d0*l3*sa*vevs - 6d0*ca*l1*sa**&
                       2d0*vev + 7d0*ca*l3*sa**2d0*vev + 3d0*l2*sa**3d0*vevs - &
                       2d0*l3*sa**3d0*vevs)
      coupl(nGC_237) = -3d0*ca*cima*sa**2d0*vevs
      coupl(nGC_235) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_239) = -cima*(ca**3d0*vevs + 2d0*ca**2d0*sa*vev - 2d0*ca*sa**  &
                       2d0*vevs - sa**3d0*vev)
      coupl(nGC_4666) = cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4667) = cima*ee*sa*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_4664) = cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4665) = -cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4662) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_4663) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                        **2d0)
      coupl(nGC_4660) = -2d0*cima*ee/3d0
      coupl(nGC_4661) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_4668) = cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4590) = cMW*ee/(2d0*sw)
      coupl(nGC_4591) = ee/(4d0*cMW*sw)
      coupl(nGC_4592) = cMW*ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_4593) = -cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_4594) = -ca*cima*ee/(4d0*cMW*sw)
      coupl(nGC_4598) = ca*cima*ee/(2d0*sw)
      coupl(nGC_4599) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_4729) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_4728) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_4727) = -sqrt(2d0)/2d0
      coupl(nGC_4726) = cima*ee**2d0/sw**2d0
      coupl(nGC_4725) = -cima*ee**2d0/sw**3d0
      coupl(nGC_4724) = 2d0*cima*ee**2d0
      coupl(nGC_4723) = sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_4722) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4721) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_4720) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_221) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_223) = -3d0*ca**2d0*cima*sa*vevs
      coupl(nGC_225) = -cima*(ca**3d0*vev - 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**  &
                       2d0*vev + sa**3d0*vevs)
      coupl(nGC_227) = -3d0*ca*cima*sa**2d0*vev
      coupl(nGC_4613) = cima*ee/cw
      coupl(nGC_4612) = -cima*ee*sw/cw**2d0
      coupl(nGC_4611) = cima*ee*sw/(3d0*cw)
      coupl(nGC_4610) = cima*ee/(3d0*cw)
      coupl(nGC_4617) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_4616) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_4615) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_4614) = cima*ee*sw/cw
      coupl(nGC_4619) = sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_4618) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_29) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_99) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_98) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_97) = sqrt(2d0)*ye/2d0
      coupl(nGC_96) = -sqrt(2d0)*ye/2d0
      coupl(nGC_95) = -cima*ye
      coupl(nGC_94) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_93) = -sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_92) = sqrt(2d0)*ydo/2d0
      coupl(nGC_91) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_75) = -ca*cima*l1*vev - cima*l3*sa*vevs
      coupl(nGC_74) = -ca*cima*l3*vevs + cima*l1*sa*vev
      coupl(nGC_77) = -3d0*ca**3d0*cima*l2*vevs + 3d0*ca**2d0*cima*l3*sa*vev - &
                      3d0*ca*cima*l3*sa**2d0*vevs + 3d0*cima*l1*sa**3d0*vev
      coupl(nGC_76) = -ca**3d0*cima*l3*vevs + 3d0*ca**2d0*cima*l1*sa*vev - 2d0*&
                      ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l2*sa**2d0*vevs +   &
                      2d0*ca*cima*l3*sa**2d0*vevs + cima*l3*sa**3d0*vev
      coupl(nGC_71) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_70) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_73) = -cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) - cima*ee**2d0&
                      *sa*vev - cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_72) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee** &
                      2d0*vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_79) = -ca**3d0*cima*l3*vev - 3d0*ca**2d0*cima*l2*sa*vevs + 2d0*&
                      ca**2d0*cima*l3*sa*vevs - 3d0*ca*cima*l1*sa**2d0*vev +   &
                      2d0*ca*cima*l3*sa**2d0*vev - cima*l3*sa**3d0*vevs
      coupl(nGC_78) = -3d0*ca**3d0*cima*l1*vev - 3d0*ca**2d0*cima*l3*sa*vevs - &
                      3d0*ca*cima*l3*sa**2d0*vev - 3d0*cima*l2*sa**3d0*vevs
      coupl(nGC_4738) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - l2*sa**2d0  &
                         + l3*sa**2d0)
      coupl(nGC_4739) = -3d0*cima*sa**4d0
      coupl(nGC_4734) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + l1*sa**2d0&
                         - l3*sa**2d0)
      coupl(nGC_4735) = -3d0*ca**4d0*cima
      coupl(nGC_4736) = -3d0*cima*sa**4d0
      coupl(nGC_4737) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_4730) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + 3d0*ca**2d0*l1*sa &
                        **2d0 + 3d0*ca**2d0*l2*sa**2d0 - 6d0*ca**2d0*l3*sa**2d0&
                         - l1*sa**4d0 + l3*sa**4d0)
      coupl(nGC_4731) = -3d0*ca**3d0*cima*sa
      coupl(nGC_4732) = 3d0*ca*cima*sa**3d0
      coupl(nGC_4733) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_219) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_217) = -cima*(3d0*ca**3d0*l2*vevs - 2d0*ca**3d0*l3*vevs + 6d0* &
                       ca**2d0*l1*sa*vev - 7d0*ca**2d0*l3*sa*vev - 6d0*ca*l2*sa&
                       **2d0*vevs + 7d0*ca*l3*sa**2d0*vevs - 3d0*l1*sa**3d0*vev&
                        + 2d0*l3*sa**3d0*vev)
      coupl(nGC_211) = -3d0*ca*cima*sa*(ca*vevs + sa*vev)
      coupl(nGC_213) = -3d0*ca**3d0*cima*vev
      coupl(nGC_4600) = cima*ee**2d0*sa/sw
      coupl(nGC_4601) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_4602) = -cMW*cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_4603) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_4604) = cima*ee*sa/(4d0*cMW*sw)
      coupl(nGC_4605) = cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_4606) = 2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_4607) = -ca**2d0*cima
      coupl(nGC_4608) = -cima*sa**2d0
      coupl(nGC_4609) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_MI) = -cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_88) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_89) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_80) = -cima*yb
      coupl(nGC_81) = -sqrt(2d0)*yb/2d0
      coupl(nGC_82) = sqrt(2d0)*yb/2d0
      coupl(nGC_83) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_84) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_85) = cima*yc
      coupl(nGC_86) = -sqrt(2d0)*yc/2d0
      coupl(nGC_87) = sqrt(2d0)*yc/2d0
      coupl(nGC_66) = -ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*ee** &
                      2d0*sa - ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_67) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0&
                      *sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_64) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_65) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima&
                      *ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_62) = cMZ*cima*cw*ee*sa/(2d0*sw) + cMZ*cima*ee*sa*sw/(2d0*cw)
      coupl(nGC_63) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_60) = -cMZ*ca*cima*cw*ee/(2d0*sw) - cMZ*ca*cima*ee*sw/(2d0*cw)
      coupl(nGC_61) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
      coupl(nGC_68) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_69) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_4709) = cima*(-ca*l3*vevs + l1*sa*vev)
      coupl(nGC_4708) = -cima*l3*sa
      coupl(nGC_4701) = -ca*cima*l3
      coupl(nGC_4700) = cima*l1*sa
      coupl(nGC_4703) = cima*sa*vev
      coupl(nGC_4702) = cima*(ca*l1*vev + l3*sa*vevs)
      coupl(nGC_4705) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4704) = -ca*cima*vevs
      coupl(nGC_4707) = -ca*cima*l1
      coupl(nGC_4706) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_209) = -3d0*cima*sa**3d0*vevs
      coupl(nGC_203) = 3d0*cima*(-ca**3d0*l3*vevs + 3d0*ca**2d0*l1*sa*vev - 2d0&
                       *ca**2d0*l3*sa*vev - 3d0*ca*l2*sa**2d0*vevs + 2d0*ca*l3*&
                       sa**2d0*vevs + l3*sa**3d0*vev)
      coupl(nGC_207) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
      coupl(nGC_205) = -3d0*cima*sa*(ca**2d0*l3 + l2*sa**2d0)
      coupl(nGC_4639) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_4638) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_4635) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4634) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4637) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_4636) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_4631) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_4630) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_4633) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4632) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_53) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_52) = cima*ee*sw/cw
      coupl(nGC_51) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_50) = cima*ee*sw/(3d0*cw)
      coupl(nGC_57) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_56) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_55) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_54) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_59) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_58) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_2061) = -coupl(nGC_55)
      coupl(nGC_4669) = -sqrt(2d0)/2d0
      coupl(nGC_4628) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_4629) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_4622) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_4623) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4620) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_4621) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_4626) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_4627) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_4624) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4625) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4716) = sqrt(2d0)/2d0
      coupl(nGC_4717) = cima*(ca - sa)*(ca + sa)*(l1 - l3)
      coupl(nGC_4714) = cima*ee**2d0*sa/cw
      coupl(nGC_4715) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_4712) = cima*ee
      coupl(nGC_4713) = -cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_4710) = -ca*cima*vev
      coupl(nGC_4711) = -cima*sa*vevs
      coupl(nGC_4718) = ca*cima*sa
      coupl(nGC_4719) = -ca*cima*sa
      coupl(nGC_4578) = -ca*cima*ee**2d0/sw
      coupl(nGC_4579) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_4576) = -ca**2d0*cima
      coupl(nGC_4577) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4574) = -2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_4575) = -cima*sa**2d0
      coupl(nGC_4572) = -cMW*ee/(2d0*sw)
      coupl(nGC_4573) = -ee/(4d0*cMW*sw)
      coupl(nGC_4571) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_413) = 1d0/(2d0*cMZ)
      coupl(nGC_4595) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_4596) = -cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_4597) = cima*ee*sa/(2d0*sw)
      coupl(nGC_48) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_49) = cMW*cima*ee*sa/(2d0*sw)
      coupl(nGC_44) = -cMW*ca*cima*ee/(2d0*sw)
      coupl(nGC_45) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_46) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_47) = cima*ee*sa/(2d0*sw)
      coupl(nGC_40) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_41) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_42) = -cMW*ee/(2d0*sw)
      coupl(nGC_43) = cMW*ee/(2d0*sw)
      coupl(nGC_4763) = ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_4762) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_4761) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_4760) = ca*cima*ee/(2d0*sw)
      coupl(nGC_4767) = cima*ee/sw
      coupl(nGC_4766) = sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_4765) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4764) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_4769) = cima*cw*ee/sw
      coupl(nGC_4768) = -cima*cw*ee/sw**2d0
      coupl(nGC_405) = cima/(2d0*cMW)
      coupl(nGC_39) = ee**2d0/(2d0*sw)
      coupl(nGC_38) = -ee**2d0/(2d0*sw)
      coupl(nGC_31) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_30) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_33) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_32) = ee/(2d0*sw)
      coupl(nGC_35) = ca*cima*ee/(2d0*sw)
      coupl(nGC_34) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_37) = cima*cw*ee/sw
      coupl(nGC_36) = -cima*cw*ee/sw
      coupl(nGC_4770) = cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_4771) = -cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_4772) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_4773) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_4774) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4775) = ee**2d0/sw
      coupl(nGC_4776) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4777) = -ee**2d0/sw
      coupl(nGC_4778) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4779) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_1581) = -coupl(nGC_35)
      coupl(nGC_245) = 3d0*cima*(ca**3d0*l3*vev + 3d0*ca**2d0*l2*sa*vevs - 2d0*&
                       ca**2d0*l3*sa*vevs + 3d0*ca*l1*sa**2d0*vev - 2d0*ca*l3* &
                       sa**2d0*vev + l3*sa**3d0*vevs)
      coupl(nGC_409) = -cima/(2d0*cMW)
      coupl(nGC_28) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_22) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*&
                      cima*l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_23) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l1*sa**4d0
      coupl(nGC_20) = -ca**2d0*cima*l1 - cima*l3*sa**2d0
      coupl(nGC_21) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      *cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_26) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_27) = -cima*ee**2d0/sw**2d0
      coupl(nGC_24) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l2*sa**4d0
      coupl(nGC_25) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**&
                      2d0*cima*l2*sa**2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 - cima*&
                      l3*sa**4d0
      coupl(nGC_4833) = -sqrt(2d0)/2d0
      coupl(nGC_4832) = sqrt(2d0)/2d0
      coupl(nGC_4831) = -sqrt(2d0)/2d0
      coupl(nGC_4830) = cima*ee/(2d0*cMW)
      coupl(nGC_4699) = -cima*ee
      coupl(nGC_4698) = -gs
      coupl(nGC_4693) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_4692) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4691) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4690) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_4697) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_4696) = -cima*ee**2d0*vev/sw
      coupl(nGC_4695) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_4694) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_4749) = 4d0*cima*ee**2d0
      coupl(nGC_4748) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_4745) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3)
      coupl(nGC_4744) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_4747) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_4746) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_4741) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_4740) = -3d0*ca**4d0*cima
      coupl(nGC_4743) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4742) = sqrt(2d0)/2d0
      coupl(nGC_423) = -coupl(nGC_41)/2d0
      coupl(nGC_517) = -coupl(nGC_37)
      coupl(nGC_17) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_15) = -3d0*cima*l1
      coupl(nGC_14) = -2d0*cima*l1
      coupl(nGC_13) = -cima*l1
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_10) = -gs
      coupl(nGC_19) = -ca**2d0*cima*l3 - cima*l1*sa**2d0
      coupl(nGC_18) = ca*cima*l1*sa - ca*cima*l3*sa
      coupl(nGC_4824) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4825) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4826) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_4827) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_4820) = -3d0*cima
      coupl(nGC_4821) = -cima*ee/sw
      coupl(nGC_4822) = cima*cw*ee/sw**2d0
      coupl(nGC_4823) = -cima*cw*ee/sw
      coupl(nGC_4828) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_4829) = cMW*cima*ee
      coupl(nGC_4688) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_4689) = -ca*cima*ee**2d0/cw
      coupl(nGC_4680) = ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_4681) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_4682) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_4683) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4684) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4685) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_4686) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_4687) = sqrt(2d0)/2d0
      coupl(nGC_4758) = cima*ee*sa/(2d0*sw)
      coupl(nGC_4759) = -ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_4752) = -ee/(2d0*sw**2d0)
      coupl(nGC_4753) = ee/(2d0*sw)
      coupl(nGC_4750) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4751) = sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_4756) = ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_4757) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_4754) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_4755) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_451) = -coupl(nGC_36)
      coupl(nGC_675) = -coupl(nGC_10)
      coupl(nGC_4811) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_4810) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4813) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_4812) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_4815) = sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_4814) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4817) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4816) = sqrt(2d0)/2d0
      coupl(nGC_4819) = -2d0*cima
      coupl(nGC_4818) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_4781) = ee**2d0/cw
      coupl(nGC_4780) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_4783) = sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_4782) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4785) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_4784) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_4787) = -sqrt(2d0)/2d0
      coupl(nGC_4786) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_4789) = -sqrt(2d0)/2d0
      coupl(nGC_4788) = sqrt(2d0)/2d0
      coupl(nGC_283) = sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_281) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_4808) = -sqrt(2d0)/2d0
      coupl(nGC_4809) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4806) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4807) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_4804) = sqrt(2d0)/2d0
      coupl(nGC_4805) = 2d0*cima*gs**2d0
      coupl(nGC_4802) = sqrt(2d0)/2d0
      coupl(nGC_4803) = -sqrt(2d0)/2d0
      coupl(nGC_4800) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_4801) = -sqrt(2d0)/2d0
      coupl(nGC_4798) = -cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_4799) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_4796) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_4797) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_4794) = sqrt(2d0)/2d0
      coupl(nGC_4795) = ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_4792) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_4793) = sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_4790) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_4791) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_277) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_275) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_271) = sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_124) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_122) = sqrt(2d0)*yup/2d0
      coupl(nGC_123) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_120) = cima*yup
      coupl(nGC_121) = -sqrt(2d0)*yup/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_I) = cima
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_8) = ee**2d0/(2d0*cw)
      coupl(nGC_4659) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_4658) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_4657) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_4656) = cima*ee/3d0
      coupl(nGC_4655) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4654) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4653) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4652) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_4651) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_4650) = 3d0*ca**3d0*cima*sa
      coupl(nGC_463) = -2d0*coupl(nGC_29)
      coupl(nGC_269) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_265) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_263) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_241) = 3d0*ca**2d0*cima*sa*vev
      coupl(nGC_249) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
      coupl(nGC_4648) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - 3d0*ca**2d0*l1*sa**&
                        2d0 - 3d0*ca**2d0*l2*sa**2d0 + 6d0*ca**2d0*l3*sa**2d0  &
                         + l2*sa**4d0 - l3*sa**4d0)
      coupl(nGC_4649) = -3d0*ca*cima*sa**3d0
      coupl(nGC_4644) = cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_4645) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_4646) = -ca*cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_4647) = cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
