!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_5221) = -cima*dl1_QED4
      coupl(nGC_TS_GC_78_Hh) = -coupl(nGC_78)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7546) = coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_67_Hl) = -coupl(nGC_67)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8130) = coupl(nGC_61)*dZZA_QED2/2d0
      coupl(nGC_8131) = -coupl(nGC_8130)
      coupl(nGC_9403) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_9402) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_9407) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_5289) = cima*dyt_QED1_QCD2
      coupl(nGC_5288) = cima*dyc_QED3
      coupl(nGC_5282) = -cima*dydo_QED3
      coupl(nGC_5281) = -cima*dydo_QED1_QCD2
      coupl(nGC_5280) = coupl(nGC_4612)*dcw_QED2 + coupl(nGC_4613)*dsw_QED2 +  &
                        coupl(nGC_4614)*dZee_QED2
      coupl(nGC_5287) = cima*dyc_QED1_QCD2
      coupl(nGC_8623) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*            &
                        dZeMinusR_QED2 + coupl(nGC_5280)
      coupl(nGC_5285) = -cima*dys_QED1_QCD2
      coupl(nGC_5284) = cima*dyup_QED3
      coupl(nGC_13500) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_5318) = -cima*dym_QED3
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7990) = coupl(nGC_51)*dZtR_QCD2
      coupl(nGC_7993) = coupl(nGC_54)*dZtL_QCD2
      coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5365) = coupl(nGC_4664)*dcw_QED2 + coupl(nGC_4665)*dsw_QED2 +  &
                        coupl(nGC_4666)*dZee_QED2 + coupl(nGC_4667)*dMZ2_QED2  &
                         + coupl(nGC_4668)*da_QED2
      coupl(nGC_9091) = coupl(nGC_53)*dZsL_QCD2
      coupl(nGC_9095) = coupl(nGC_50)*dZsR_QCD2
      coupl(nGC_5290) = cima*dyt_QED3
      coupl(nGC_5291) = -cima*dyb_QED1_QCD2
      coupl(nGC_5292) = -cima*dyb_QED3
      coupl(nGC_5293) = coupl(nGC_4727)*dydo_QED1_QCD2
      coupl(nGC_5294) = coupl(nGC_4727)*dydo_QED3
      coupl(nGC_10848) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_10849) = -coupl(nGC_10848)
      coupl(nGC_10340) = coupl(nGC_5294) + coupl(nGC_91)*dZdL_QED2/2d0 + coupl(&
                         nGC_91)*dZdR_QED2/2d0
      coupl(nGC_7074) = coupl(nGC_41)*dZZA_QED2
      coupl(nGC_TS_GC_57_Hh) = -coupl(nGC_57)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5261) = coupl(nGC_4713)*dcw_QED2 + coupl(nGC_4714)*dZee_QED2 + &
                        coupl(nGC_4715)*da_QED2
      coupl(nGC_5359) = coupl(nGC_4602)*dsw_QED2 + coupl(nGC_4603)*dZee_QED2 + &
                        coupl(nGC_4604)*dMW2_QED2 + coupl(nGC_4605)*da_QED2
      coupl(nGC_5358) = coupl(nGC_4592)*dsw_QED2 + coupl(nGC_4593)*dZee_QED2 + &
                        coupl(nGC_4594)*dMW2_QED2 + coupl(nGC_4595)*da_QED2
      coupl(nGC_5352) = coupl(nGC_4722)*dyc_QED1_QCD2
      coupl(nGC_5357) = coupl(nGC_4571)*dsw_QED2 + coupl(nGC_4572)*dZee_QED2 + &
                        coupl(nGC_4573)*dMW2_QED2
      coupl(nGC_8423) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*            &
                        dZmuMinusR_QED2 + coupl(nGC_5280)
      coupl(nGC_7670) = coupl(nGC_51)*dZcR_QCD2
      coupl(nGC_7673) = coupl(nGC_54)*dZcL_QCD2
      coupl(nGC_10722) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_8255) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_8254) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_8253) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_8899) = coupl(nGC_50)*dZdR_QCD2
      coupl(nGC_5346) = coupl(nGC_4705)*dyc_QED1_QCD2
      coupl(nGC_5347) = coupl(nGC_4705)*dyc_QED3 + coupl(nGC_4706)*da_QED2
      coupl(nGC_TS_GC_74_Hl) = -coupl(nGC_74)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9449) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_5232) = coupl(nGC_203)*da_QED2 + coupl(nGC_205)*dvevs_QED1 +   &
                        coupl(nGC_207)*dvev_QED1 + coupl(nGC_209)*dl2_QED4 +   &
                        coupl(nGC_211)*dl3_QED4 + coupl(nGC_213)*dl1_QED4
      coupl(nGC_7476) = coupl(nGC_5282) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl( &
                        nGC_90)*dZuL_QED2/2d0
      coupl(nGC_7474) = coupl(nGC_5281) + coupl(nGC_90)*dZdR_QCD2/2d0 + coupl( &
                        nGC_90)*dZuL_QCD2/2d0
      coupl(nGC_10718) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_10717) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_5339) = coupl(nGC_4669)*dyc_QED3
      coupl(nGC_5338) = coupl(nGC_4669)*dyc_QED1_QCD2
      coupl(nGC_8401) = coupl(nGC_44)*dZHhHl_QED2/2d0 + coupl(nGC_49)*dZHl_QED2&
                        /2d0 + coupl(nGC_5359)
      coupl(nGC_5249) = coupl(nGC_4725)*dsw_QED2 + coupl(nGC_4726)*dZee_QED2
      coupl(nGC_5248) = coupl(nGC_4596)*dsw_QED2 + coupl(nGC_4597)*dZee_QED2 + &
                        coupl(nGC_4598)*da_QED2
      coupl(nGC_5246) = coupl(nGC_4776)*dsw_QED2 + coupl(nGC_4777)*dZee_QED2
      coupl(nGC_5242) = coupl(nGC_4695)*dsw_QED2 + coupl(nGC_4696)*dZee_QED2 + &
                        coupl(nGC_4697)*dvev_QED1
      coupl(nGC_5241) = coupl(nGC_4599)*dsw_QED2 + coupl(nGC_4600)*dZee_QED2 + &
                        coupl(nGC_4601)*da_QED2
      coupl(nGC_5240) = coupl(nGC_4577)*dsw_QED2 + coupl(nGC_4578)*dZee_QED2 + &
                        coupl(nGC_4579)*da_QED2
      coupl(nGC_8069) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_9823) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9822) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_9820) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_9825) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_9824) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_TS_GC_83_Hh) = -coupl(nGC_83)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7311) = coupl(nGC_41)*dZAZ_QED2
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7137) = coupl(nGC_5291) + coupl(nGC_80)*dZbR_QCD2/2d0 + coupl( &
                        nGC_80)*dZtL_QCD2/2d0
      coupl(nGC_7139) = coupl(nGC_5292) + coupl(nGC_80)*dZbR_QED2/2d0 + coupl( &
                        nGC_80)*dZtL_QED2/2d0
      coupl(nGC_TS_GC_19_Hl) = -coupl(nGC_19)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5060) = coupl(nGC_11)**2d0*coupl(nGC_51)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5067) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(     &
                        nGC_33)**2d0*coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_95&
                        )**2d0 + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_7796) = coupl(nGC_5287) + coupl(nGC_85)*dZcR_QCD2/2d0 + coupl( &
                        nGC_85)*dZsL_QCD2/2d0
      coupl(nGC_7798) = coupl(nGC_5288) + coupl(nGC_85)*dZcR_QED2/2d0 + coupl( &
                        nGC_85)*dZsL_QED2/2d0
      coupl(nGC_5430) = -cima*dME_QED2
      coupl(nGC_5322) = coupl(nGC_4832)*dym_QED3
      coupl(nGC_5323) = coupl(nGC_4831)*dym_QED3
      coupl(nGC_5327) = coupl(nGC_4778)*dym_QED3 + coupl(nGC_4779)*da_QED2
      coupl(nGC_9452) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_5329) = coupl(nGC_4765)*dye_QED3 + coupl(nGC_4766)*da_QED2
      coupl(nGC_9450) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_9451) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_9454) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_TS_GC_65_Hh) = -coupl(nGC_65)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_88_Hh) = -coupl(nGC_88)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9057) = coupl(nGC_84)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_5258) = coupl(nGC_4629)*dcw_QED2 + coupl(nGC_4630)*dsw_QED2 +  &
                        coupl(nGC_4631)*dZee_QED2
      coupl(nGC_5254) = coupl(nGC_4770)*dsw_QED2 + coupl(nGC_4771)*dZee_QED2 + &
                        coupl(nGC_4772)*dvev_QED1 + coupl(nGC_4773)*da_QED2
      coupl(nGC_5255) = coupl(nGC_4636)*dcw_QED2 + coupl(nGC_4637)*dsw_QED2 +  &
                        coupl(nGC_4638)*dZee_QED2
      coupl(nGC_5256) = coupl(nGC_4632)*dcw_QED2 + coupl(nGC_4633)*dsw_QED2 +  &
                        coupl(nGC_4634)*dZee_QED2 + coupl(nGC_4635)*da_QED2
      coupl(nGC_5250) = coupl(nGC_4762)*dsw_QED2 + coupl(nGC_4763)*dZee_QED2 + &
                        coupl(nGC_4764)*da_QED2
      coupl(nGC_9058) = coupl(nGC_84)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_TS_GC_73_Hl) = -coupl(nGC_73)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9821) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_7412) = coupl(nGC_65)*dZZA_QED2/2d0
      coupl(nGC_7413) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_7414) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_7415) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_7416) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_11134) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_7230) = coupl(nGC_94)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_7231) = coupl(nGC_94)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_5353) = coupl(nGC_4722)*dyc_QED3 + coupl(nGC_4723)*da_QED2
      coupl(nGC_5356) = coupl(nGC_4829)*dZee_QED2 + coupl(nGC_4830)*dMW2_QED2
      coupl(nGC_7123) = coupl(nGC_73)*dZZA_QED2/2d0
      coupl(nGC_7128) = coupl(nGC_28)*dZHh_QED2 + coupl(nGC_28)*dZWMinus_QED2  &
                         + coupl(nGC_30)*dZHlHh_QED2 + coupl(nGC_5250)
      coupl(nGC_8262) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_8261) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_5079) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_5319) = -cima*dytau_QED3
      coupl(nGC_5315) = coupl(nGC_4618)*dyb_QED1_QCD2
      coupl(nGC_5317) = -cima*dye_QED3
      coupl(nGC_5316) = coupl(nGC_4618)*dyb_QED3 + coupl(nGC_4619)*da_QED2
      coupl(nGC_5311) = coupl(nGC_4750)*dydo_QED1_QCD2
      coupl(nGC_5310) = coupl(nGC_4720)*dyb_QED3 + coupl(nGC_4721)*da_QED2
      coupl(nGC_5312) = coupl(nGC_4750)*dydo_QED3 + coupl(nGC_4751)*da_QED2
      coupl(nGC_8464) = coupl(nGC_54)*dZuL_QCD2
      coupl(nGC_8467) = coupl(nGC_51)*dZuR_QCD2
      coupl(nGC_5268) = coupl(nGC_4683)*dcw_QED2 + coupl(nGC_4684)*dsw_QED2 +  &
                        coupl(nGC_4685)*dZee_QED2 + coupl(nGC_4686)*da_QED2
      coupl(nGC_5260) = coupl(nGC_4688)*dcw_QED2 + coupl(nGC_4689)*dZee_QED2 + &
                        coupl(nGC_4690)*da_QED2
      coupl(nGC_4994) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4997) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7429) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_7428) = coupl(nGC_56)*dZZA_QED2/2d0
      coupl(nGC_5441) = -cima*dMS_QED2
      coupl(nGC_5440) = -cima*dMD_QCD2
      coupl(nGC_5443) = -cima*dMB_QED2
      coupl(nGC_5442) = -cima*dMS_QCD2
      coupl(nGC_5445) = cima*dMZ2_QED2
      coupl(nGC_5444) = -cima*dMB_QCD2
      coupl(nGC_5447) = coupl(nGC_405)*dMW2_QED2
      coupl(nGC_5446) = cima*dMW2_QED2
      coupl(nGC_5449) = coupl(nGC_413)*dMZ2_QED2
      coupl(nGC_5448) = coupl(nGC_409)*dMW2_QED2
      coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7169) = coupl(nGC_98)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_11539) = coupl(nGC_5256) + coupl(nGC_57)*dZHh_QED2/2d0 + coupl(&
                         nGC_57)*dZZ_QED2/2d0 + coupl(nGC_61)*dZHlHh_QED2/2d0
      coupl(nGC_7116) = coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_98_Hh) = -coupl(nGC_98)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8213) = coupl(nGC_5268) + coupl(nGC_66)*dZHhHl_QED2 + coupl(   &
                        nGC_67)*dZHl_QED2 + coupl(nGC_67)*dZZ_QED2
      coupl(nGC_5046) = coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5049) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13499) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_13494) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_13491) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_13492) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_13493) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_5308) = coupl(nGC_4790)*dys_QED3 + coupl(nGC_4791)*da_QED2
      coupl(nGC_5309) = coupl(nGC_4720)*dyb_QED1_QCD2
      coupl(nGC_5302) = coupl(nGC_4716)*dyb_QED3
      coupl(nGC_5303) = coupl(nGC_4833)*dyb_QED1_QCD2
      coupl(nGC_5301) = coupl(nGC_4716)*dyb_QED1_QCD2
      coupl(nGC_5306) = coupl(nGC_4743)*dydo_QED3 + coupl(nGC_4744)*da_QED2
      coupl(nGC_5307) = coupl(nGC_4790)*dys_QED1_QCD2
      coupl(nGC_5304) = coupl(nGC_4833)*dyb_QED3
      coupl(nGC_5305) = coupl(nGC_4743)*dydo_QED1_QCD2
      coupl(nGC_8322) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_8321) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_8320) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_5276) = coupl(nGC_4626)*dcw_QED2 + coupl(nGC_4627)*dsw_QED2 +  &
                        coupl(nGC_4628)*dZee_QED2
      coupl(nGC_5277) = coupl(nGC_4609)*dcw_QED2 + coupl(nGC_4610)*dsw_QED2 +  &
                        coupl(nGC_4611)*dZee_QED2
      coupl(nGC_5274) = coupl(nGC_4754)*dsw_QED2 + coupl(nGC_4755)*dZee_QED2
      coupl(nGC_5275) = coupl(nGC_4615)*dcw_QED2 + coupl(nGC_4616)*dsw_QED2 +  &
                        coupl(nGC_4617)*dZee_QED2
      coupl(nGC_5270) = coupl(nGC_4824)*dcw_QED2 + coupl(nGC_4825)*dsw_QED2 +  &
                        coupl(nGC_4826)*dZee_QED2 + coupl(nGC_4827)*dvev_QED1  &
                         + coupl(nGC_4828)*da_QED2
      coupl(nGC_5271) = coupl(nGC_4660)*dZee_QED2
      coupl(nGC_5278) = coupl(nGC_4620)*dcw_QED2 + coupl(nGC_4621)*dsw_QED2 +  &
                        coupl(nGC_4622)*dZee_QED2
      coupl(nGC_8039) = coupl(nGC_5317) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_95)*dZnu_eL_QED2/2d0
      coupl(nGC_8520) = coupl(nGC_5303) + coupl(nGC_81)*dZbL_QCD2/2d0 + coupl( &
                        nGC_81)*dZbR_QCD2/2d0
      coupl(nGC_8522) = coupl(nGC_5304) + coupl(nGC_81)*dZbL_QED2/2d0 + coupl( &
                        nGC_81)*dZbR_QED2/2d0
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_4879) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4878) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
      coupl(nGC_4873) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(     &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4872) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_4871) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_4870) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4877) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_56)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_4876) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(    &
                        nGC_55))/(8d0*pi**2d0)
      coupl(nGC_4875) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_4874) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_7435) = -coupl(nGC_7429)
      coupl(nGC_4907) = (4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_95)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_4904) = (-4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_4)*coupl&
                        (nGC_98)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_4903) = coupl(nGC_4)*(4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_52 &
                        )**2d0 + coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_98)** &
                        2d0 + coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4902) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) +    &
                        coupl(nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(  &
                        nGC_94)**2d0 + coupl(nGC_2)*coupl(nGC_90)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_4900) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_7324) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*            &
                        dZtauMinusR_QED2 + coupl(nGC_5280)
      coupl(nGC_7323) = coupl(nGC_5258) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZtauMinusL_QED2
      coupl(nGC_7320) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_7210) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_5258) + coupl(  &
                        nGC_55)*dZZ_QED2/2d0
      coupl(nGC_7211) = -coupl(nGC_7210)
      coupl(nGC_7216) = coupl(nGC_17)*dZZA_QED2/2d0 + coupl(nGC_40)*dZHhHl_QED2&
                        /2d0 + coupl(nGC_48)*dZA_QED2/2d0 + coupl(nGC_48)*     &
                        dZHl_QED2/2d0 + coupl(nGC_48)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_5241)
      coupl(nGC_7723) = coupl(nGC_66)*dZZA_QED2/2d0
      coupl(nGC_4882) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(   &
                        nGC_55))/(8d0*pi**2d0)
      coupl(nGC_4883) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_5052) = coupl(nGC_33)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_37)*coupl(nGC_55) - coupl(nGC_517)*coupl(nGC_56) + &
                        coupl(nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_5056) = coupl(nGC_11)**2d0*coupl(nGC_50)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5054) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5055) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +   &
                        coupl(nGC_53)*coupl(nGC_83)**2d0 + coupl(nGC_53)*coupl(&
                        nGC_84)**2d0 + coupl(nGC_54)*coupl(nGC_80)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5058) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5059) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_85)**2d0 + coupl(     &
                        nGC_54)*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_54)*   &
                        coupl(nGC_88)**2d0 + coupl(nGC_54)*coupl(nGC_89)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8521) = coupl(nGC_5302) + coupl(nGC_82)*dZbL_QED2/2d0 + coupl( &
                        nGC_82)*dZbR_QED2/2d0
      coupl(nGC_7927) = coupl(nGC_5448) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_8334) = coupl(nGC_83)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_8333) = coupl(nGC_83)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_7694) = coupl(nGC_5329) + coupl(nGC_98)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_99)*dZHl_QED2/2d0
      coupl(nGC_7693) = coupl(nGC_99)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_5234) = coupl(nGC_4700)*dvev_QED1 + coupl(nGC_4701)*dvevs_QED1 &
                         + coupl(nGC_4702)*da_QED2 + coupl(nGC_4703)*dl1_QED4  &
                         + coupl(nGC_4704)*dl3_QED4
      coupl(nGC_11177) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_4868) = cima*(coupl(nGC_33)**2d0 + coupl(nGC_4)**2d0 + coupl(  &
                        nGC_55)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4869) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(    &
                        nGC_55))/(8d0*pi**2d0)
      coupl(nGC_4860) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_4861) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl( &
                        nGC_54)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4862) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_4863) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4864) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_4865) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
      coupl(nGC_4866) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4867) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_52)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_4916) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_90)**2d0 + coupl(nGC_121)*coupl(nGC_122)*    &
                        coupl(nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2) + coupl&
                        (nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 +  &
                        4d0*coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*&
                        coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5428) = -cima*dMHH2_QED2
      coupl(nGC_5427) = -cima*dMHL2_QED2
      coupl(nGC_5300) = coupl(nGC_4787)*dys_QED3
      coupl(nGC_7597) = coupl(nGC_124)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_7598) = coupl(nGC_124)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_8902) = coupl(nGC_53)*dZdL_QCD2
      coupl(nGC_11183) = -coupl(nGC_11177)
      coupl(nGC_5283) = cima*dyup_QED1_QCD2
      coupl(nGC_8624) = coupl(nGC_5258) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZeMinusL_QED2
      coupl(nGC_8625) = coupl(nGC_7320) + coupl(nGC_8623)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
