!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_5286) = -cima*dys_QED3
      coupl(nGC_7176) = coupl(nGC_17)*dZHlHh_QED2/2d0 + coupl(nGC_40)*dZAZ_QED2&
                        /2d0 + coupl(nGC_5260) + coupl(nGC_9)*dZHh_QED2/2d0 +  &
                        coupl(nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/&
                        2d0
      coupl(nGC_5193) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_50) -     &
                        coupl(nGC_51) - coupl(nGC_53) - coupl(nGC_54))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_5192) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(128d0*pi**  &
                        2d0)
      coupl(nGC_5191) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_50)**2d0  &
                         - coupl(nGC_51)**2d0 - coupl(nGC_53)**2d0 - coupl(    &
                        nGC_54)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5190) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_50)**2d0 + &
                        coupl(nGC_51)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_5194) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_8274) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_8276) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_8239) = coupl(nGC_109)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_8238) = coupl(nGC_109)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_5210) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_5211) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_5212) = coupl(nGC_4698)*dZgs_QCD2
      coupl(nGC_5213) = coupl(nGC_4805)*dZgs_QCD2
      coupl(nGC_5214) = coupl(nGC_4699)*dZee_QED2
      coupl(nGC_5215) = coupl(nGC_4724)*dZee_QED2
      coupl(nGC_5216) = coupl(nGC_4767)*dcw_QED2 + coupl(nGC_4768)*dsw_QED2 +  &
                        coupl(nGC_4769)*dZee_QED2
      coupl(nGC_5217) = coupl(nGC_4728)*dsw_QED2 + coupl(nGC_4729)*dZee_QED2
      coupl(nGC_5219) = coupl(nGC_4784)*dcw_QED2 + coupl(nGC_4785)*dsw_QED2 +  &
                        coupl(nGC_4786)*dZee_QED2
      coupl(nGC_7163) = coupl(nGC_26)*dZWMinus_QED2 + coupl(nGC_5249)
      coupl(nGC_5328) = coupl(nGC_263)*dytau_QED3 + coupl(nGC_265)*da_QED2
      coupl(nGC_9453) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_4855) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_51)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_54 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_50)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_53)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_51)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_54)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_51)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_54)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_52)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_55)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_52)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_55)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_52)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_55)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_37)**2d0 + 3d0*cMW**2d0*cima*coupl(     &
                        nGC_517)**2d0 - 2d0*cMW**2d0*coupl(nGC_463))/(16d0*pi**&
                        2d0)
      coupl(nGC_4854) = cima*(coupl(nGC_37)**2d0 + coupl(nGC_517)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_4857) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_33)**2d0 - coupl( &
                        nGC_53)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4856) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_4853) = cima*(-2d0*Nc*coupl(nGC_50)**2d0 - 2d0*Nc*coupl(nGC_51 &
                        )**2d0 - 2d0*Nc*coupl(nGC_53)**2d0 - 2d0*Nc*coupl(     &
                        nGC_54)**2d0 - coupl(nGC_37)**2d0 - coupl(nGC_517)**2d0&
                         - 2d0*coupl(nGC_52)**2d0 - 2d0*coupl(nGC_55)**2d0 -   &
                        2d0*coupl(nGC_56)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7779) = coupl(nGC_72)*dZZA_QED2/2d0
      coupl(nGC_4859) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4858) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
      coupl(nGC_12189) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_5265) = coupl(nGC_4661)*dcw_QED2 + coupl(nGC_4662)*dsw_QED2 +  &
                        coupl(nGC_4663)*dZee_QED2
      coupl(nGC_5438) = -cima*dMT_QCD2
      coupl(nGC_5439) = -cima*dMD_QED2
      coupl(nGC_4926) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5431) = -cima*dMM_QED2
      coupl(nGC_5432) = -cima*dMTA_QED2
      coupl(nGC_5433) = -cima*dMU_QED2
      coupl(nGC_5434) = -cima*dMU_QCD2
      coupl(nGC_5435) = -cima*dMC_QED2
      coupl(nGC_5436) = -cima*dMC_QCD2
      coupl(nGC_5437) = -cima*dMT_QED2
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7589) = coupl(nGC_33)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_TS_GC_75_Hh) = -coupl(nGC_75)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
      coupl(nGC_11171) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5212)
      coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_76_Hl) = -coupl(nGC_76)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_76_Hh) = -coupl(nGC_76)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5180) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_5181) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_5182) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_5189) = (3d0*Nc*cima*coupl(nGC_50)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_51)**4d0 + 3d0*Nc*cima*coupl(nGC_53)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_54)**4d0 - 10d0*cima*coupl(nGC_37)**4d0 &
                         + 3d0*cima*coupl(nGC_463)**2d0 - 10d0*cima*coupl(     &
                        nGC_517)**4d0 + 3d0*cima*coupl(nGC_52)**4d0 + 3d0*cima*&
                        coupl(nGC_55)**4d0 + 3d0*cima*coupl(nGC_56)**4d0 + 3d0*&
                        coupl(nGC_29)*coupl(nGC_37)**2d0 + 3d0*coupl(nGC_29)*  &
                        coupl(nGC_517)**2d0 + 9d0*coupl(nGC_37)**2d0*coupl(    &
                        nGC_463) + 9d0*coupl(nGC_463)*coupl(nGC_517)**2d0)/(   &
                        24d0*pi**2d0)
      coupl(nGC_7080) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZeMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_eL_QED2/2d0 +  &
                        coupl(nGC_5274)
      coupl(nGC_TS_GC_72_Hh) = -coupl(nGC_72)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_114_Hl) = -coupl(nGC_114)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7122) = coupl(nGC_5255) + coupl(nGC_58)*dZA_QED2/2d0 + coupl(  &
                        nGC_58)*dZZ_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/2d0 +    &
                        coupl(nGC_63)*dZZA_QED2/2d0
      coupl(nGC_7860) = coupl(nGC_102)*dZmuMinusL_QED2/2d0 + coupl(nGC_102)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_5322)
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8319) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_5000) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5003) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_83) - cMC* &
                        coupl(nGC_88) - cMD*coupl(nGC_93) - cMS*coupl(nGC_108  &
                        ) - cMT*coupl(nGC_113) - cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0)
      coupl(nGC_5002) = (coupl(nGC_2389)*coupl(nGC_52)*coupl(nGC_97) + coupl(  &
                        nGC_33)*coupl(nGC_35)*coupl(nGC_95) + 8d0*coupl(nGC_4  &
                        )**2d0*coupl(nGC_98) + 8d0*coupl(nGC_52)*coupl(nGC_55)*&
                        coupl(nGC_98) + coupl(nGC_55)*coupl(nGC_57)*coupl(     &
                        nGC_97) - coupl(nGC_97)**2d0*coupl(nGC_98) - coupl(    &
                        nGC_98)**3d0 - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_5004) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_83) + cMC*  &
                        coupl(nGC_88) + cMD*coupl(nGC_93) + cMS*coupl(nGC_108  &
                        ) + cMT*coupl(nGC_113) + cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_5007) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*&
                        coupl(nGC_1581)*coupl(nGC_33) - coupl(nGC_105)*coupl(  &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_107)**2d0*coupl(     &
                        nGC_108) - coupl(nGC_107)*coupl(nGC_2389)*coupl(nGC_53 &
                        ) - coupl(nGC_107)*coupl(nGC_50)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_5006) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_35) - coupl(   &
                        nGC_102)**2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(   &
                        nGC_2389)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)*&
                        coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_5009) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8256) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_5066) = (-4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(    &
                        nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_96)*coupl(     &
                        nGC_97) + coupl(nGC_52)*coupl(nGC_98)**2d0 + coupl(    &
                        nGC_52)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_55)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_5257) = coupl(nGC_4652)*dcw_QED2 + coupl(nGC_4653)*dsw_QED2 +  &
                        coupl(nGC_4654)*dZee_QED2 + coupl(nGC_4655)*da_QED2
      coupl(nGC_8958) = coupl(nGC_88)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_8959) = coupl(nGC_88)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_5344) = coupl(nGC_4806)*dyup_QED1_QCD2
      coupl(nGC_5345) = coupl(nGC_4806)*dyup_QED3 + coupl(nGC_4807)*da_QED2
      coupl(nGC_5229) = coupl(nGC_4648)*da_QED2 + coupl(nGC_4649)*dl2_QED4 +   &
                        coupl(nGC_4650)*dl1_QED4 + coupl(nGC_4651)*dl3_QED4
      coupl(nGC_5228) = coupl(nGC_4717)*da_QED2 + coupl(nGC_4718)*dl1_QED4 +   &
                        coupl(nGC_4719)*dl3_QED4
      coupl(nGC_5340) = coupl(nGC_4789)*dyt_QED1_QCD2
      coupl(nGC_5341) = coupl(nGC_4789)*dyt_QED3
      coupl(nGC_5225) = coupl(nGC_4734)*da_QED2 + coupl(nGC_4735)*dl2_QED4 +   &
                        coupl(nGC_4736)*dl1_QED4 + coupl(nGC_4737)*dl3_QED4
      coupl(nGC_5224) = coupl(nGC_4738)*da_QED2 + coupl(nGC_4739)*dl2_QED4 +   &
                        coupl(nGC_4740)*dl1_QED4 + coupl(nGC_4741)*dl3_QED4
      coupl(nGC_5227) = coupl(nGC_4745)*da_QED2 + coupl(nGC_4746)*dl2_QED4 +   &
                        coupl(nGC_4747)*dl1_QED4 + coupl(nGC_4748)*dl3_QED4
      coupl(nGC_5226) = coupl(nGC_4574)*da_QED2 + coupl(nGC_4575)*dl1_QED4 +   &
                        coupl(nGC_4576)*dl3_QED4
      coupl(nGC_5220) = coupl(nGC_4820)*dl1_QED4
      coupl(nGC_5223) = coupl(nGC_4606)*da_QED2 + coupl(nGC_4607)*dl1_QED4 +   &
                        coupl(nGC_4608)*dl3_QED4
      coupl(nGC_5222) = coupl(nGC_4819)*dl1_QED4
      coupl(nGC_7203) = coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_8008) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/&
                        2d0
      coupl(nGC_8009) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/&
                        2d0
      coupl(nGC_9059) = coupl(nGC_5315) + coupl(nGC_9058)
      coupl(nGC_8413) = coupl(nGC_5270) + coupl(nGC_72)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_73)*dZHl_QED2/2d0 + coupl(nGC_73)*dZZ_QED2 + coupl&
                        (nGC_TS_GC_66_Hh) + coupl(nGC_TS_GC_67_Hl)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8470) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZuR_QED2 + &
                        coupl(nGC_5275)
      coupl(nGC_7054) = coupl(nGC_5338) + coupl(nGC_86)*dZcL_QCD2/2d0 + coupl( &
                        nGC_86)*dZcR_QCD2/2d0
      coupl(nGC_7995) = coupl(nGC_5276) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZtL_QED2
      coupl(nGC_4848) = cima*(4d0*Nc*coupl(nGC_108)**2d0 + 4d0*Nc*coupl(nGC_113&
                        )**2d0 + 4d0*Nc*coupl(nGC_123)**2d0 + 4d0*Nc*coupl(    &
                        nGC_83)**2d0 + 4d0*Nc*coupl(nGC_88)**2d0 + 4d0*Nc*coupl&
                        (nGC_93)**2d0 + 4d0*coupl(nGC_103)**2d0 + 4d0*coupl(   &
                        nGC_118)**2d0 + coupl(nGC_1581)*coupl(nGC_34) + coupl( &
                        nGC_2389)*coupl(nGC_57) + coupl(nGC_35)*coupl(nGC_931  &
                        ) + 4d0*coupl(nGC_98)**2d0)/(96d0*pi**2d0)
      coupl(nGC_4849) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_93)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_108&
                        )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_113)**2d0 - 4d0&
                        *Nc*cMU**2d0*cima*coupl(nGC_123)**2d0 - 4d0*cME**2d0*  &
                        cima*coupl(nGC_98)**2d0 - 4d0*cMM**2d0*cima*coupl(     &
                        nGC_103)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_118)**2d0 &
                         - cMW**2d0*cima*coupl(nGC_1581)*coupl(nGC_34) - cMW** &
                        2d0*cima*coupl(nGC_35)*coupl(nGC_931) - 2d0*cMW**2d0*  &
                        coupl(nGC_28) - cMZ**2d0*cima*coupl(nGC_2389)*coupl(   &
                        nGC_57) - cMZ**2d0*coupl(nGC_65) + 2d0*cima*coupl(     &
                        nGC_69)**2d0 + cima*coupl(nGC_72)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8679) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5213)
      coupl(nGC_5331) = coupl(nGC_269)*dytau_QED3 + coupl(nGC_271)*da_QED2
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8074) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_8073) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_8070) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_TS_GC_89_Hl) = -coupl(nGC_89)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7056) = coupl(nGC_5339) + coupl(nGC_86)*dZcL_QED2/2d0 + coupl( &
                        nGC_86)*dZcR_QED2/2d0
      coupl(nGC_8171) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_37)*dZZA_QED2/2d0&
                         + coupl(nGC_5214)
      coupl(nGC_5335) = coupl(nGC_4804)*dyup_QED3
      coupl(nGC_5334) = coupl(nGC_4804)*dyup_QED1_QCD2
      coupl(nGC_7508) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_9457) = coupl(nGC_5440) + coupl(nGC_9452)
      coupl(nGC_7507) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_4939) = (coupl(nGC_115)*coupl(nGC_2061)*coupl(nGC_56) + coupl( &
                        nGC_115)*coupl(nGC_4)**2d0 + coupl(nGC_115)*coupl(     &
                        nGC_52)*coupl(nGC_55) + 8d0*coupl(nGC_115)*coupl(nGC_52&
                        )*coupl(nGC_56) + coupl(nGC_117)*coupl(nGC_32)*coupl(  &
                        nGC_33) + coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_931   &
                        ) + coupl(nGC_1183)*coupl(nGC_119)*coupl(nGC_33))/(32d0&
                        *pi**2d0)
      coupl(nGC_4936) = coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4934) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4932) = coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4930) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7475) = coupl(nGC_120)*dZdL_QED2/2d0 + coupl(nGC_120)*dZuR_QED2&
                        /2d0 + coupl(nGC_5284)
      coupl(nGC_5041) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7473) = coupl(nGC_120)*dZdL_QCD2/2d0 + coupl(nGC_120)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5283)
      coupl(nGC_7375) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZbR_QED2 + &
                        coupl(nGC_5277)
      coupl(nGC_7374) = coupl(nGC_5278) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(  &
                        nGC_53)*dZbL_QED2
      coupl(nGC_7370) = coupl(nGC_53)*dZbL_QCD2
      coupl(nGC_7373) = coupl(nGC_50)*dZbR_QCD2
      coupl(nGC_5168) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_106)*coupl(&
                        nGC_107) + coupl(nGC_111)*coupl(nGC_112) + coupl(      &
                        nGC_121)*coupl(nGC_122) + coupl(nGC_81)*coupl(nGC_82   &
                        ) + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_91)*coupl( &
                        nGC_92))/(16d0*pi**2d0*Nc)
      coupl(nGC_5167) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_106)*coupl&
                        (nGC_107) - coupl(nGC_111)*coupl(nGC_112) - coupl(     &
                        nGC_121)*coupl(nGC_122) - coupl(nGC_81)*coupl(nGC_82   &
                        ) - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_91)*coupl( &
                        nGC_92))/(16d0*pi**2d0)
      coupl(nGC_9108) = coupl(nGC_100)*dZmuMinusR_QED2/2d0 + coupl(nGC_100)*   &
                        dZnu_muL_QED2/2d0 + coupl(nGC_5318)
      coupl(nGC_8754) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_8759) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_7483) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_55)*dZZA_QED2&
                        /2d0
      coupl(nGC_8283) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_8284) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_7484) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_52)*dZZA_QED2&
                        /2d0
      coupl(nGC_7590) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZbL_QED2/2d0 + coupl(nGC_33)*dZtL_QED2/2d0 + coupl(   &
                        nGC_5274)
      coupl(nGC_4884) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_7726) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_7727) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_4880) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_4881) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_7728) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_7729) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_9408) = coupl(nGC_5430) + coupl(nGC_TS_GC_98_Hh) + coupl(      &
                        nGC_TS_GC_99_Hl)
      coupl(nGC_7157) = coupl(nGC_123)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_7156) = coupl(nGC_123)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_7159) = coupl(nGC_123)*dZHh_QED2/2d0 + coupl(nGC_124)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_5345)
      coupl(nGC_7158) = coupl(nGC_5344) + coupl(nGC_7157)
      coupl(nGC_7390) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_8036) = coupl(nGC_106)*dZsL_QED2/2d0 + coupl(nGC_106)*dZsR_QED2&
                        /2d0 + coupl(nGC_5300)
      coupl(nGC_5264) = coupl(nGC_4657)*dcw_QED2 + coupl(nGC_4658)*dsw_QED2 +  &
                        coupl(nGC_4659)*dZee_QED2
      coupl(nGC_4976) = coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4974) = coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7617) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_5214)
      coupl(nGC_4978) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7610) = coupl(nGC_18)*dZHh_QED2/2d0 + coupl(nGC_18)*dZHl_QED2/ &
                        2d0 + coupl(nGC_19)*dZHlHh_QED2/2d0 + coupl(nGC_20)*   &
                        dZHhHl_QED2/2d0 + coupl(nGC_5228)
      coupl(nGC_7027) = 2d0*coupl(nGC_27)*dZWMinus_QED2 + coupl(nGC_5217)
      coupl(nGC_7028) = -2d0*coupl(nGC_7027)
      coupl(nGC_7339) = coupl(nGC_21)*dZHlHh_QED2 + coupl(nGC_22)*dZHhHl_QED2  &
                         + coupl(nGC_25)*dZHh_QED2 + coupl(nGC_25)*dZHl_QED2 + &
                        coupl(nGC_5227)
      coupl(nGC_5029) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5089) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_90)**2d0 + coupl(nGC_91)*coupl&
                        (nGC_92) + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_5088) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_120)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_91)*coupl(nGC_92) + coupl(    &
                        nGC_93)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_7531) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_7530) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_5081) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_110)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_81)*coupl(nGC_82) - coupl(    &
                        nGC_83)**2d0 - coupl(nGC_84)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5080) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)*coupl&
                        (nGC_82) + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_5083) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)*coupl&
                        (nGC_82) - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_5082) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_5085) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_51)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_87) + coupl(nGC_88)**2d0 + coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_5084) = -coupl(nGC_11)*sq2*(coupl(nGC_105)**2d0 + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_88)** &
                        2d0 + coupl(nGC_89)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5087) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_51)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_87) - coupl(nGC_88)**2d0 - coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_5086) = -coupl(nGC_11)*sq2*(-coupl(nGC_105)**2d0 - 4d0*coupl(  &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_88)** &
                        2d0 - coupl(nGC_89)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4906) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4) + coupl(   &
                        nGC_103)**2d0*coupl(nGC_4) + coupl(nGC_104)**2d0*coupl(&
                        nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*    &
                        coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_4905) = coupl(nGC_4)*(coupl(nGC_101)*coupl(nGC_102) + coupl(   &
                        nGC_103)**2d0 + coupl(nGC_104)**2d0 + 4d0*coupl(nGC_4  &
                        )**2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8684) = 2d0*coupl(nGC_8679)
      coupl(nGC_4986) = coupl(nGC_11)**2d0*coupl(nGC_122)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4909) = (coupl(nGC_115)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*  &
                        coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4&
                        ))/(32d0*pi**2d0)
      coupl(nGC_7326) = coupl(nGC_7320) + coupl(nGC_7323)
      coupl(nGC_7325) = coupl(nGC_7320) + coupl(nGC_7324)
      coupl(nGC_7288) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZcL_QED2/2d0 + coupl(nGC_33)*dZsL_QED2/2d0 + coupl(   &
                        nGC_5274)
      coupl(nGC_7287) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_10659) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_5153) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_50) - coupl(nGC_1)*coupl(nGC_53) - coupl(nGC_2)*   &
                        coupl(nGC_51) - coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_5152) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_50) + coupl(nGC_1)*coupl(nGC_53) + coupl(nGC_2)*   &
                        coupl(nGC_51) + coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_5016) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_122)**&
                        2d0*coupl(nGC_123) - coupl(nGC_122)*coupl(nGC_2389)*   &
                        coupl(nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_5017) = coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5015) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_931) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_121)**&
                        2d0*coupl(nGC_123) - coupl(nGC_121)*coupl(nGC_2389)*   &
                        coupl(nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_5012) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5013) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_931) - coupl(  &
                        nGC_116)**2d0*coupl(nGC_118) + coupl(nGC_116)*coupl(   &
                        nGC_2389)*coupl(nGC_55) + coupl(nGC_116)*coupl(nGC_52)*&
                        coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_5159) = (20d0*Nc*cima*coupl(nGC_108)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_113)**4d0 + 20d0*Nc*cima*coupl(nGC_123)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_83)**4d0 + 20d0*Nc*cima*coupl(nGC_88&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_93)**4d0 + 20d0*cima*  &
                        coupl(nGC_103)**4d0 + 20d0*cima*coupl(nGC_118)**4d0 -  &
                        5d0*cima*coupl(nGC_1581)**2d0*coupl(nGC_34)**2d0 - 5d0*&
                        cima*coupl(nGC_2389)**2d0*coupl(nGC_57)**2d0 + 6d0*cima&
                        *coupl(nGC_28)**2d0 - 5d0*cima*coupl(nGC_35)**2d0*coupl&
                        (nGC_931)**2d0 + 3d0*cima*coupl(nGC_65)**2d0 + 20d0*   &
                        cima*coupl(nGC_98)**4d0 + 3d0*coupl(nGC_1581)*coupl(   &
                        nGC_20)*coupl(nGC_34) - 3d0*coupl(nGC_1581)*coupl(     &
                        nGC_28)*coupl(nGC_34) + 3d0*coupl(nGC_20)*coupl(       &
                        nGC_2389)*coupl(nGC_57) + 3d0*coupl(nGC_20)*coupl(     &
                        nGC_35)*coupl(nGC_931) - 3d0*coupl(nGC_2389)*coupl(    &
                        nGC_57)*coupl(nGC_65) - 3d0*coupl(nGC_28)*coupl(nGC_35 &
                        )*coupl(nGC_931))/(16d0*pi**2d0)
      coupl(nGC_9096) = coupl(nGC_5278) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(  &
                        nGC_53)*dZsL_QED2
      coupl(nGC_9097) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZsR_QED2 + &
                        coupl(nGC_5277)
      coupl(nGC_8969) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_8968) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_8964) = coupl(nGC_5347) + coupl(nGC_88)*dZHh_QED2/2d0 + coupl( &
                        nGC_89)*dZHlHh_QED2/2d0
      coupl(nGC_8967) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_8966) = coupl(nGC_5346) + coupl(nGC_8959)
      coupl(nGC_5333) = coupl(nGC_4803)*dyup_QED3
      coupl(nGC_5332) = coupl(nGC_4803)*dyup_QED1_QCD2
      coupl(nGC_5238) = coupl(nGC_4712)*dZee_QED2
      coupl(nGC_5239) = coupl(nGC_4774)*dsw_QED2 + coupl(nGC_4775)*dZee_QED2
      coupl(nGC_5337) = coupl(nGC_4687)*dyc_QED3
      coupl(nGC_5336) = coupl(nGC_4687)*dyc_QED1_QCD2
      coupl(nGC_7809) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/ &
                        2d0
      coupl(nGC_7808) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/ &
                        2d0
      coupl(nGC_5233) = coupl(nGC_217)*da_QED2 + coupl(nGC_219)*dvevs_QED1 +   &
                        coupl(nGC_221)*dvev_QED1 + coupl(nGC_223)*dl2_QED4 +   &
                        coupl(nGC_225)*dl3_QED4 + coupl(nGC_227)*dl1_QED4
      coupl(nGC_5230) = coupl(nGC_4730)*da_QED2 + coupl(nGC_4731)*dl2_QED4 +   &
                        coupl(nGC_4732)*dl1_QED4 + coupl(nGC_4733)*dl3_QED4
      coupl(nGC_5231) = coupl(nGC_4707)*dvev_QED1 + coupl(nGC_4708)*dvevs_QED1 &
                         + coupl(nGC_4709)*da_QED2 + coupl(nGC_4710)*dl1_QED4  &
                         + coupl(nGC_4711)*dl3_QED4
      coupl(nGC_5236) = coupl(nGC_245)*da_QED2 + coupl(nGC_247)*dvevs_QED1 +   &
                        coupl(nGC_249)*dvev_QED1 + coupl(nGC_251)*dl2_QED4 +   &
                        coupl(nGC_253)*dl3_QED4 + coupl(nGC_255)*dl1_QED4
      coupl(nGC_5237) = coupl(nGC_4749)*dZee_QED2
      coupl(nGC_7801) = coupl(nGC_67)*dZZA_QED2/2d0
      coupl(nGC_5235) = coupl(nGC_231)*da_QED2 + coupl(nGC_233)*dvevs_QED1 +   &
                        coupl(nGC_235)*dvev_QED1 + coupl(nGC_237)*dl2_QED4 +   &
                        coupl(nGC_239)*dl3_QED4 + coupl(nGC_241)*dl1_QED4
      coupl(nGC_TS_GC_108_Hh) = -coupl(nGC_108)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7191) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_7192) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZdL_QED2/2d0 + coupl(nGC_33)*dZuL_QED2/2d0 + coupl(   &
                        nGC_5274)
      coupl(nGC_8561) = coupl(nGC_119)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_8562) = coupl(nGC_118)*dZHhHl_QED2/2d0 + coupl(nGC_119)*       &
                        dZHl_QED2/2d0 + coupl(nGC_5331)
      coupl(nGC_5070) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_106)* &
                        coupl(nGC_107)*coupl(nGC_50) + coupl(nGC_108)**2d0*    &
                        coupl(nGC_50) + coupl(nGC_109)**2d0*coupl(nGC_50) + 4d0&
                        *coupl(nGC_33)**2d0*coupl(nGC_517) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_54) + coupl(nGC_51)*coupl(nGC_85)**2d0&
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5296) = coupl(nGC_4742)*dydo_QED3
      coupl(nGC_5071) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + coupl(nGC_105)**&
                        2d0*coupl(nGC_54) + coupl(nGC_106)*coupl(nGC_107)*coupl&
                        (nGC_53) + coupl(nGC_108)**2d0*coupl(nGC_53) + coupl(  &
                        nGC_109)**2d0*coupl(nGC_53) + 4d0*coupl(nGC_50)**3d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_5272) = coupl(nGC_4656)*dZee_QED2
      coupl(nGC_8762) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_8761) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_5010) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_931) - coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_111)**&
                        2d0*coupl(nGC_113) - coupl(nGC_111)*coupl(nGC_2389)*   &
                        coupl(nGC_54) - coupl(nGC_111)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(  &
                        nGC_114)**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_8587) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_TS_GC_113_Hh) = -coupl(nGC_113)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8589) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_8588) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_9692) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_9693) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_9694) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_9695) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9696) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_9697) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_5011) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_112)**&
                        2d0*coupl(nGC_113) - coupl(nGC_112)*coupl(nGC_2389)*   &
                        coupl(nGC_51) - coupl(nGC_112)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(  &
                        nGC_114)**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_7065) = coupl(nGC_44)*dZHh_QED2/2d0 + coupl(nGC_49)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_5358)
      coupl(nGC_4964) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5247) = coupl(nGC_4756)*dsw_QED2 + coupl(nGC_4757)*dZee_QED2 + &
                        coupl(nGC_4758)*da_QED2
      coupl(nGC_5245) = coupl(nGC_4580)*dsw_QED2 + coupl(nGC_4581)*dZee_QED2 + &
                        coupl(nGC_4582)*da_QED2
      coupl(nGC_5244) = coupl(nGC_4759)*dsw_QED2 + coupl(nGC_4760)*dZee_QED2 + &
                        coupl(nGC_4761)*da_QED2
      coupl(nGC_5243) = coupl(nGC_4752)*dsw_QED2 + coupl(nGC_4753)*dZee_QED2
      coupl(nGC_8066) = coupl(nGC_103)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_7265) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_8067) = coupl(nGC_103)*dZHh_QED2/2d0 + coupl(nGC_104)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_5327)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7261) = coupl(nGC_40)*dZA_QED2/2d0 + coupl(nGC_40)*dZHh_QED2/  &
                        2d0 + coupl(nGC_40)*dZWMinus_QED2/2d0 + coupl(nGC_48)* &
                        dZHlHh_QED2/2d0 + coupl(nGC_5240) + coupl(nGC_9)*      &
                        dZZA_QED2/2d0
      coupl(nGC_7106) = coupl(nGC_121)*dZuL_QED2/2d0 + coupl(nGC_121)*dZuR_QED2&
                        /2d0 + coupl(nGC_5333)
      coupl(nGC_7107) = coupl(nGC_122)*dZuL_QED2/2d0 + coupl(nGC_122)*dZuR_QED2&
                        /2d0 + coupl(nGC_5335)
      coupl(nGC_7104) = coupl(nGC_121)*dZuL_QCD2/2d0 + coupl(nGC_121)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5332)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
