!******************************************************************************!
!                                                                              !
!    ctparameter127.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter127.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter127
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter127()
  dZZA_QED2 = (4d0*Nc*Ten214*cMU**2d0*coupl(nGC_2)*(-coupl(nGC_51) - coupl(    &
              nGC_54))/cMZ**2d0 + 4d0*Nc*Ten215*cMC**2d0*coupl(nGC_2)*(-coupl( &
              nGC_51) - coupl(nGC_54))/cMZ**2d0 + 4d0*Nc*Ten216*cMT**2d0*coupl(&
              nGC_2)*(-coupl(nGC_51) - coupl(nGC_54))/cMZ**2d0 + 4d0*Nc*Ten217*&
              cMD**2d0*coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53))/cMZ**2d0  &
               + 4d0*Nc*Ten218*cMS**2d0*coupl(nGC_1)*(-coupl(nGC_50) - coupl(  &
              nGC_53))/cMZ**2d0 + 4d0*Nc*Ten219*cMB**2d0*coupl(nGC_1)*(-coupl( &
              nGC_50) - coupl(nGC_53))/cMZ**2d0 + 8d0*Nc*Ten220*coupl(nGC_2)*( &
              coupl(nGC_51) + coupl(nGC_54))/cMZ**2d0 + 8d0*Nc*Ten221*coupl(   &
              nGC_2)*(coupl(nGC_51) + coupl(nGC_54))/cMZ**2d0 + 8d0*Nc*Ten222* &
              coupl(nGC_2)*(coupl(nGC_51) + coupl(nGC_54))/cMZ**2d0 + 8d0*Nc*  &
              Ten223*coupl(nGC_1)*(coupl(nGC_50) + coupl(nGC_53))/cMZ**2d0 +   &
              8d0*Nc*Ten224*coupl(nGC_1)*(coupl(nGC_50) + coupl(nGC_53))/cMZ** &
              2d0 + 8d0*Nc*Ten225*coupl(nGC_1)*(coupl(nGC_50) + coupl(nGC_53))/&
              cMZ**2d0 + 2d0*cima*Ten3*(3d0*coupl(nGC_41) - coupl(nGC_58))/cMZ &
              **2d0 - 4d0*Ten516*coupl(nGC_68)*coupl(nGC_71)/cMZ**2d0 + 2d0*   &
              Ten519*(17d0*coupl(nGC_3)*coupl(nGC_37) - coupl(nGC_36)*coupl(   &
              nGC_4) + 4d0*coupl(nGC_4)*coupl(nGC_55))/cMZ**2d0 + 4d0*Ten526*  &
              cME**2d0*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55))/cMZ**2d0  &
               + 4d0*Ten527*cMM**2d0*coupl(nGC_4)*(-coupl(nGC_52) - coupl(     &
              nGC_55))/cMZ**2d0 + 4d0*Ten528*cMTA**2d0*coupl(nGC_4)*(-coupl(   &
              nGC_52) - coupl(nGC_55))/cMZ**2d0 + 8d0*Ten529*coupl(nGC_4)*(    &
              coupl(nGC_52) + coupl(nGC_55))/cMZ**2d0 + 8d0*Ten530*coupl(nGC_4 &
              )*(coupl(nGC_52) + coupl(nGC_55))/cMZ**2d0 + 8d0*Ten531*coupl(   &
              nGC_4)*(coupl(nGC_52) + coupl(nGC_55))/cMZ**2d0 + pi**2d0*(-4d0* &
              Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_50)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_53)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_51)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_54)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_50)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_53)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_50)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_53)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_51)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_54)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_51)/(pi**2d0*cMZ**2d0) - 4d0* &
              Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_54)/(pi**2d0*cMZ**2d0) - 4d0* &
              cME**2d0*coupl(nGC_4)*coupl(nGC_52)/(pi**2d0*cMZ**2d0) - 4d0*cME &
              **2d0*coupl(nGC_4)*coupl(nGC_55)/(pi**2d0*cMZ**2d0) - 4d0*cMM**  &
              2d0*coupl(nGC_4)*coupl(nGC_52)/(pi**2d0*cMZ**2d0) - 4d0*cMM**2d0*&
              coupl(nGC_4)*coupl(nGC_55)/(pi**2d0*cMZ**2d0) - 4d0*cMTA**2d0*   &
              coupl(nGC_4)*coupl(nGC_52)/(pi**2d0*cMZ**2d0) - 4d0*cMTA**2d0*   &
              coupl(nGC_4)*coupl(nGC_55)/(pi**2d0*cMZ**2d0) - 12d0*cMW**2d0*   &
              coupl(nGC_3)*coupl(nGC_37)/(pi**2d0*cMZ**2d0) - 4d0*cima*cMW**2d0&
              *coupl(nGC_41)/(pi**2d0*cMZ**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZA_QED2 = cone*real(dZZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter127
end module ctparameter127
