!******************************************************************************!
!                                                                              !
!    ctparameter150.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter150.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter150
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter150()
  if (dMTA_QED2_scheme .eq. 0) then
    dMTA_QED2 = (2d0*Ten474*cMTA*coupl(nGC_4)**2d0 + Ten475*cMTA*(-coupl(      &
                nGC_116)**2d0 - 2d0*coupl(nGC_116)*coupl(nGC_117) - coupl(     &
                nGC_117)**2d0 - 2d0*coupl(nGC_52)**2d0 + 8d0*coupl(nGC_52)*    &
                coupl(nGC_55) - 2d0*coupl(nGC_55)**2d0)/2d0 + Ten476*cMTA*coupl&
                (nGC_119)**2d0 + Ten477*cMTA*coupl(nGC_118)**2d0 - 2d0*Ten478* &
                cMTA*coupl(nGC_4)**2d0 + Ten479*cMTA*(coupl(nGC_115)**2d0 + 2d0&
                *coupl(nGC_33)**2d0)/2d0 + Ten480*cMTA*(-coupl(nGC_116)*coupl( &
                nGC_117) - coupl(nGC_52)**2d0 - coupl(nGC_55)**2d0) - Ten481*  &
                cMTA*coupl(nGC_119)**2d0 - Ten482*cMTA*coupl(nGC_118)**2d0 +   &
                2d0*Ten483*cMTA*coupl(nGC_119)**2d0*rMTA*(-cMTA + rMTA) + 2d0* &
                Ten484*cMTA*coupl(nGC_118)**2d0*rMTA*(-cMTA + rMTA) + 4d0*     &
                Ten485*coupl(nGC_4)**2d0*rMTA*(2d0*cMTA**2d0 - 3d0*cMTA*rMTA + &
                rMTA**2d0) + Ten486*rMTA*(-cMTA**2d0*coupl(nGC_116)**2d0 - cMTA&
                **2d0*coupl(nGC_117)**2d0 + 8d0*cMTA**2d0*coupl(nGC_52)*coupl( &
                nGC_55) + cMTA*coupl(nGC_116)**2d0*rMTA - 2d0*cMTA*coupl(      &
                nGC_116)*coupl(nGC_117)*rMTA + cMTA*coupl(nGC_117)**2d0*rMTA - &
                2d0*cMTA*coupl(nGC_52)**2d0*rMTA - 8d0*cMTA*coupl(nGC_52)*coupl&
                (nGC_55)*rMTA - 2d0*cMTA*coupl(nGC_55)**2d0*rMTA + 2d0*coupl(  &
                nGC_116)*coupl(nGC_117)*rMTA**2d0 + 2d0*coupl(nGC_52)**2d0*rMTA&
                **2d0 + 2d0*coupl(nGC_55)**2d0*rMTA**2d0) + 2d0*Ten487*coupl(  &
                nGC_119)**2d0*rMTA**2d0*(cMTA - rMTA) + 2d0*Ten488*coupl(      &
                nGC_118)**2d0*rMTA**2d0*(cMTA - rMTA) + 4d0*Ten489*coupl(nGC_4 &
                )**2d0*rMTA**2d0*(-cMTA + rMTA) + Ten490*rMTA**2d0*(cMTA*coupl(&
                nGC_115)**2d0 + 2d0*cMTA*coupl(nGC_33)**2d0 - coupl(nGC_115)** &
                2d0*rMTA - 2d0*coupl(nGC_33)**2d0*rMTA) + 2d0*Ten491*rMTA**2d0 &
                *(-cMTA*coupl(nGC_116)*coupl(nGC_117) - cMTA*coupl(nGC_52)**2d0&
                 - cMTA*coupl(nGC_55)**2d0 + coupl(nGC_116)*coupl(nGC_117)*rMTA&
                 + coupl(nGC_52)**2d0*rMTA + coupl(nGC_55)**2d0*rMTA) + pi**2d0&
                *(-8d0*aEW*cMTA**2d0/(pi*rMTA) + 8d0*aEW*rMTA/pi + cMTA*coupl( &
                nGC_33)**2d0/(2d0*pi**2d0) - cMTA*coupl(nGC_4)**2d0/pi**2d0 +  &
                cMTA*coupl(nGC_52)**2d0/(2d0*pi**2d0) - 2d0*cMTA*coupl(nGC_52)*&
                coupl(nGC_55)/pi**2d0 + cMTA*coupl(nGC_55)**2d0/(2d0*pi**2d0   &
                )))/(16d0*pi**2d0) + cima*coupl(nGC_119)*dtHl_QED1/cMHL**2d0 + &
                cima*coupl(nGC_118)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMTA_QED2 = cone*real(dMTA_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter150
end module ctparameter150
