!******************************************************************************!
!                                                                              !
!    ctparameter159.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter159.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter159
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter159()
  dr_QED2 = cMW**2d0*dMZ2_QED2*ee/(cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ &
            **2d0)*(-cMW**2d0 + cMZ**2d0)) + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ&
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0)) + (4d0*Nc*Ten214*cMU**2d0*coupl(nGC_2)*(-cMW**2d0*coupl(     &
            nGC_51) - cMW**2d0*coupl(nGC_54) + cMZ**2d0*coupl(nGC_51) + cMZ**  &
            2d0*coupl(nGC_54))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc&
            *Ten215*cMC**2d0*coupl(nGC_2)*(-cMW**2d0*coupl(nGC_51) - cMW**2d0* &
            coupl(nGC_54) + cMZ**2d0*coupl(nGC_51) + cMZ**2d0*coupl(nGC_54))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten216*cMT**2d0*   &
            coupl(nGC_2)*(-cMW**2d0*coupl(nGC_51) - cMW**2d0*coupl(nGC_54) +   &
            cMZ**2d0*coupl(nGC_51) + cMZ**2d0*coupl(nGC_54))/(cMZ**2d0*cw*sw*(-&
            cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten217*cMD**2d0*coupl(nGC_1)*(-cMW**&
            2d0*coupl(nGC_50) - cMW**2d0*coupl(nGC_53) + cMZ**2d0*coupl(nGC_50 &
            ) + cMZ**2d0*coupl(nGC_53))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0  &
            )) + 4d0*Nc*Ten218*cMS**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_50   &
            ) - cMW**2d0*coupl(nGC_53) + cMZ**2d0*coupl(nGC_50) + cMZ**2d0*    &
            coupl(nGC_53))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*   &
            Ten219*cMB**2d0*coupl(nGC_1)*(-cMW**2d0*coupl(nGC_50) - cMW**2d0*  &
            coupl(nGC_53) + cMZ**2d0*coupl(nGC_50) + cMZ**2d0*coupl(nGC_53))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten220*coupl(nGC_2 &
            )*(cMW**2d0*coupl(nGC_51) + cMW**2d0*coupl(nGC_54) - cMZ**2d0*coupl&
            (nGC_51) - cMZ**2d0*coupl(nGC_54))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ&
            **2d0)) + 8d0*Nc*Ten221*coupl(nGC_2)*(cMW**2d0*coupl(nGC_51) + cMW &
            **2d0*coupl(nGC_54) - cMZ**2d0*coupl(nGC_51) - cMZ**2d0*coupl(     &
            nGC_54))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten222*  &
            coupl(nGC_2)*(cMW**2d0*coupl(nGC_51) + cMW**2d0*coupl(nGC_54) - cMZ&
            **2d0*coupl(nGC_51) - cMZ**2d0*coupl(nGC_54))/(cMZ**2d0*cw*sw*(-cMW&
            **2d0 + cMZ**2d0)) + 8d0*Nc*Ten223*coupl(nGC_1)*(cMW**2d0*coupl(   &
            nGC_50) + cMW**2d0*coupl(nGC_53) - cMZ**2d0*coupl(nGC_50) - cMZ**  &
            2d0*coupl(nGC_53))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc&
            *Ten224*coupl(nGC_1)*(cMW**2d0*coupl(nGC_50) + cMW**2d0*coupl(     &
            nGC_53) - cMZ**2d0*coupl(nGC_50) - cMZ**2d0*coupl(nGC_53))/(cMZ**  &
            2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Nc*Ten225*coupl(nGC_1)*(cMW&
            **2d0*coupl(nGC_50) + cMW**2d0*coupl(nGC_53) - cMZ**2d0*coupl(     &
            nGC_50) - cMZ**2d0*coupl(nGC_53))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 4d0*Nc*Ten658*coupl(nGC_33)**2d0*(cMW**2d0 - cMZ**2d0)/( &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten659*coupl(nGC_33)**2d0&
            *(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc* &
            Ten660*coupl(nGC_33)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + cima*Ten0*coupl(nGC_31)/(2d0*cMW**2d0) + cima*  &
            Ten1*(-cMW**2d0*coupl(nGC_26) - 6d0*cMW**2d0*coupl(nGC_29) + cMZ** &
            2d0*coupl(nGC_26) + 6d0*cMZ**2d0*coupl(nGC_29))/(2d0*cMW**2d0*(-cMW&
            **2d0 + cMZ**2d0)) + cima*Ten2*coupl(nGC_28)/(2d0*cMW**2d0) + cima*&
            Ten3*(6d0*cMW**4d0*coupl(nGC_41) - 2d0*cMW**4d0*coupl(nGC_58) - cMW&
            **2d0*cMZ**2d0*coupl(nGC_26)*cw*sw + 3d0*cMW**2d0*cMZ**2d0*coupl(  &
            nGC_27)*cw*sw - 6d0*cMW**2d0*cMZ**2d0*coupl(nGC_41) + 2d0*cMW**2d0*&
            cMZ**2d0*coupl(nGC_58) + cMZ**4d0*coupl(nGC_26)*cw*sw - 3d0*cMZ**  &
            4d0*coupl(nGC_27)*cw*sw)/(cMW**2d0*cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 4d0*Ten516*coupl(nGC_68)*coupl(nGC_71)/(cMZ**2d0*cw*sw   &
            ) + 2d0*Ten519*(17d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_37) - cMW**2d0&
            *coupl(nGC_36)*coupl(nGC_4) + 4d0*cMW**2d0*coupl(nGC_4)*coupl(     &
            nGC_55) - 17d0*cMZ**2d0*coupl(nGC_3)*coupl(nGC_37) + cMZ**2d0*coupl&
            (nGC_36)*coupl(nGC_4) - 4d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_55))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten526*cME**2d0*coupl(&
            nGC_4)*(-cMW**2d0*coupl(nGC_52) - cMW**2d0*coupl(nGC_55) + cMZ**2d0&
            *coupl(nGC_52) + cMZ**2d0*coupl(nGC_55))/(cMZ**2d0*cw*sw*(-cMW**2d0&
             + cMZ**2d0)) + 4d0*Ten527*cMM**2d0*coupl(nGC_4)*(-cMW**2d0*coupl( &
            nGC_52) - cMW**2d0*coupl(nGC_55) + cMZ**2d0*coupl(nGC_52) + cMZ**  &
            2d0*coupl(nGC_55))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 4d0*  &
            Ten528*cMTA**2d0*coupl(nGC_4)*(-cMW**2d0*coupl(nGC_52) - cMW**2d0* &
            coupl(nGC_55) + cMZ**2d0*coupl(nGC_52) + cMZ**2d0*coupl(nGC_55))/( &
            cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten529*coupl(nGC_4)*( &
            cMW**2d0*coupl(nGC_52) + cMW**2d0*coupl(nGC_55) - cMZ**2d0*coupl(  &
            nGC_52) - cMZ**2d0*coupl(nGC_55))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ &
            **2d0)) + 8d0*Ten530*coupl(nGC_4)*(cMW**2d0*coupl(nGC_52) + cMW**  &
            2d0*coupl(nGC_55) - cMZ**2d0*coupl(nGC_52) - cMZ**2d0*coupl(nGC_55 &
            ))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ**2d0)) + 8d0*Ten531*coupl(nGC_4&
            )*(cMW**2d0*coupl(nGC_52) + cMW**2d0*coupl(nGC_55) - cMZ**2d0*coupl&
            (nGC_52) - cMZ**2d0*coupl(nGC_55))/(cMZ**2d0*cw*sw*(-cMW**2d0 + cMZ&
            **2d0)) + Ten651*(17d0*cMW**2d0*coupl(nGC_3)**2d0 - cMW**2d0*coupl(&
            nGC_4)**2d0 - 17d0*cMZ**2d0*coupl(nGC_3)**2d0 + cMZ**2d0*coupl(    &
            nGC_4)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten652*coupl( &
            nGC_46)*coupl(nGC_47)/cMW**2d0 + 4d0*Ten653*coupl(nGC_34)*coupl(   &
            nGC_35)/cMW**2d0 + 4d0*Ten654*coupl(nGC_33)**2d0*(cMW**2d0 - cMZ** &
            2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten655*coupl(nGC_33)**&
            2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0* &
            Ten656*coupl(nGC_33)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + Ten657*(-4d0*cMW**2d0*coupl(nGC_32)**2d0 - cMW**&
            2d0*coupl(nGC_36)**2d0 + 17d0*cMW**2d0*coupl(nGC_37)**2d0 + 4d0*cMZ&
            **2d0*coupl(nGC_32)**2d0 + cMZ**2d0*coupl(nGC_36)**2d0 - 17d0*cMZ**&
            2d0*coupl(nGC_37)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + Ten661*&
            coupl(nGC_70)**2d0/cMW**2d0 + Ten662*coupl(nGC_69)**2d0/cMW**2d0 + &
            Ten663*coupl(nGC_71)**2d0/cMW**2d0 + Ten664*coupl(nGC_68)**2d0/cMW &
            **2d0 + pi**2d0*(-128d0*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*  &
            coupl(nGC_1)*coupl(nGC_50)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) -  &
            128d0*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*coupl(nGC_1)*coupl( &
            nGC_53)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMB**2d0*cMHH&
            **2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_50)*gw*sw*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMB**2d0*cMHH**2d0*cMHL &
            **2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_53)*gw*sw*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0* &
            cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**  &
            2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            2d0*cMZ**2d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*&
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) + 32d0*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl(    &
            nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc* &
            cMC**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_51)*gw&
            *sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMC**2d0*cMHH**2d0* &
            cMHL**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_54)*gw*sw*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**  &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*   &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) + 128d0*Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**2d0*coupl(nGC_2)*coupl(nGC_51)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) + 128d0*Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*&
            coupl(nGC_2)*coupl(nGC_54)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) -  &
            32d0*Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_33&
            )**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*&
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**  &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMC**  &
            2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0* &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMD**2d0*cMHH**2d0*cMHL &
            **2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_50)*gw*sw*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) - 128d0*Nc*cMD**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*coupl(&
            nGC_1)*coupl(nGC_53)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc* &
            cMD**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl( &
            nGC_50)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMD**2d0*cMHH&
            **2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_53)*gw*sw*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMD**2d0*cMHH**2d0*cMHL**&
            2d0*cMW**2d0*cMZ**2d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ&
            **2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) + 32d0*Nc*cMD**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*  &
            coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) -  &
            128d0*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*cMW**4d0*coupl(nGC_1)*coupl( &
            nGC_50)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMHH**2d0*   &
            cMHL**2d0*cMS**2d0*cMW**4d0*coupl(nGC_1)*coupl(nGC_53)*gw*sw*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*cMW &
            **2d0*cMZ**2d0*coupl(nGC_1)*coupl(nGC_50)*gw*sw*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) + 128d0*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*cMW**2d0*cMZ** &
            2d0*coupl(nGC_1)*coupl(nGC_53)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) - 32d0*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*cMW**2d0*cMZ**2d0*coupl( &
            nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*  &
            cMHH**2d0*cMHL**2d0*cMS**2d0*cMZ**4d0*coupl(nGC_33)**2d0*cw*gw*sw**&
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc*cMHH**2d0*cMHL**2d0*&
            cMT**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_51)*gw*sw*sqrt(-cMW**2d0/ &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**  &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*   &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) - 128d0*Nc*cMHH**2d0*cMHL**2d0*cMT**2d0*cMW**4d0* &
            coupl(nGC_2)*coupl(nGC_54)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) +  &
            128d0*Nc*cMHH**2d0*cMHL**2d0*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2&
            )*coupl(nGC_51)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0&
            *cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ** &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMHH**&
            2d0*cMHL**2d0*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_54 &
            )*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMHH**2d0*cMHL** &
            2d0*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*   &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMHH**2d0*cMHL**2d0*cMT**&
            2d0*cMZ**4d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*&
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) - 128d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*cMW**4d0*coupl(   &
            nGC_2)*coupl(nGC_51)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*Nc* &
            cMHH**2d0*cMHL**2d0*cMU**2d0*cMW**4d0*coupl(nGC_2)*coupl(nGC_54)*gw&
            *sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMHH**2d0*cMHL**2d0*&
            cMU**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_51)*gw*sw*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 128d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*cMW &
            **2d0*cMZ**2d0*coupl(nGC_2)*coupl(nGC_54)*gw*sw*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) - 32d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*cMW**2d0*cMZ**  &
            2d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) + 32d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*cMZ**4d0*coupl(nGC_33)** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*   &
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**  &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cME**2d0*&
            cMHH**2d0*cMHL**2d0*cMW**4d0*coupl(nGC_4)*coupl(nGC_52)*gw*sw*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) - 128d0*cME**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            4d0*coupl(nGC_4)*coupl(nGC_55)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) - 32d0*cME**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(    &
            nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cME &
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(    &
            nGC_52)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cME**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_55)*gw*sw*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cME**2d0*cMHH**2d0*cMHL**2d0&
            *cMZ**4d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) - 128d0*cMHH**2d0*cMHL**2d0*cMM**2d0*cMW**4d0*coupl(nGC_4 &
            )*coupl(nGC_52)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0&
            *cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ** &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 128d0*cMHH**2d0&
            *cMHL**2d0*cMM**2d0*cMW**4d0*coupl(nGC_4)*coupl(nGC_55)*gw*sw*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) - 32d0*cMHH**2d0*cMHL**2d0*cMM**2d0*cMW**2d0&
            *cMZ**2d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) + 128d0*cMHH**2d0*cMHL**2d0*cMM**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_4)*coupl(nGC_52)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(- &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) +  &
            128d0*cMHH**2d0*cMHL**2d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)* &
            coupl(nGC_55)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**  &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cMHH**2d0*&
            cMHL**2d0*cMM**2d0*cMZ**4d0*coupl(nGC_33)**2d0*cw*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) - 128d0*cMHH**2d0*cMHL**2d0*cMTA**2d0*cMW** &
            4d0*coupl(nGC_4)*coupl(nGC_52)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            )) - 128d0*cMHH**2d0*cMHL**2d0*cMTA**2d0*cMW**4d0*coupl(nGC_4)*    &
            coupl(nGC_55)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**  &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cMHH**2d0*&
            cMHL**2d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_33)**2d0*cw*gw*sw**&
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 128d0*cMHH**2d0*cMHL**2d0*   &
            cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_52)*gw*sw*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)) + 128d0*cMHH**2d0*cMHL**2d0*cMTA**2d0*cMW** &
            2d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_55)*gw*sw*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*&
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) + 32d0*cMHH**2d0*cMHL**2d0*cMTA**2d0*cMZ**4d0*coupl(nGC_33&
            )**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*&
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**  &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 384d0*cMHH**2d0&
            *cMHL**2d0*cMW**6d0*coupl(nGC_3)*coupl(nGC_37)*gw*sw*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ** &
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*   &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) - 128d0*cima*cMHH**2d0*cMHL**2d0*cMW**6d0*coupl(  &
            nGC_41)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cima*cMHH**2d0*  &
            cMHL**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_27)*cw*gw*sw**2d0*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ&
            **2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) - 96d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*coupl&
            (nGC_3)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi&
            **2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 384d0*cMHH&
            **2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_3)*coupl(nGC_37)*gw*sw*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 96d0*cMHH**2d0*cMHL**2d0*cMW**4d0&
            *cMZ**2d0*coupl(nGC_37)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) + 128d0*cima*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*coupl( &
            nGC_41)*gw*sw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + &
            1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**&
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*   &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) + 192d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw* &
            gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH &
            **2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 112d0*cMHH**2d0*   &
            cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw**3d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**&
            2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*   &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0)) + 64d0*cima*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*&
            coupl(nGC_27)*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0* &
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0* &
            cima*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*coupl(nGC_29)*cw*gw*sw**&
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0  &
            ) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 96d0*cMHH**2d0*cMHL**2d0*cMW &
            **2d0*cMZ**4d0*coupl(nGC_3)**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**&
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*&
            cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0  &
             + 1d0)) + 64d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw**3d0*sw&
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**2d0)/(-32d0*pi**2d0*  &
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/&
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**  &
            4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 192d0*cMHH**2d0&
            *cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) - 112d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw**  &
            3d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMHH&
            **2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cima*cMHH**2d0&
            *cMHL**2d0*cMZ**6d0*coupl(nGC_29)*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)) + 96d0*cMHH**2d0*cMHL**2d0*cMZ**6d0*coupl(nGC_37)**2d0*&
            cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH** &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*cw*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*cw*&
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0))))/(16d0*pi**2d0) +      &
            dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/ &
            cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))/(cMW&
            **2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**  &
            2d0)) + cima*coupl(nGC_70)*dtHl_QED1/(cMHL**2d0*cMW**2d0) + cima*  &
            coupl(nGC_69)*dtHh_QED1/(cMHH**2d0*cMW**2d0)
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter159
end module ctparameter159
