!******************************************************************************!
!                                                                              !
!    ctparameter50.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter50.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter50
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter50()
  if (dZtauMinusR_QED2_scheme .eq. 2) then
    dZtauMinusR_QED2 = (Ten201*coupl(nGC_4)**2d0 + Ten265*(-coupl(nGC_116)*    &
                       coupl(nGC_117) - 2d0*coupl(nGC_52)**2d0) - Ten266*coupl(&
                       nGC_118)**2d0 - Ten267*coupl(nGC_119)**2d0 - Ten437*    &
                       coupl(nGC_115)**2d0 - coupl(nGC_52)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtauMinusR_QED2 = cone*real(dZtauMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter50
end module ctparameter50
