!******************************************************************************!
!                                                                              !
!    ctparameter57.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter57.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter57
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter57()
  if (dZcL_QED2_scheme .eq. 0) then
    dZcL_QED2 = (2d0*Ten290*coupl(nGC_2)**2d0 + Ten291*(2d0*coupl(nGC_54)**2d0 &
                 + coupl(nGC_86)*coupl(nGC_87)) + Ten292*(coupl(nGC_105)**2d0  &
                 + 2d0*coupl(nGC_33)**2d0) - Ten293*coupl(nGC_88)**2d0 - Ten294&
                *coupl(nGC_89)**2d0 + 2d0*Ten295*coupl(nGC_2)**2d0 + Ten296*(  &
                2d0*coupl(nGC_54)**2d0 + coupl(nGC_86)*coupl(nGC_87)) + Ten297 &
                *(coupl(nGC_105)**2d0 + 2d0*coupl(nGC_33)**2d0) + 2d0*Ten300*  &
                cMC*coupl(nGC_88)**2d0*rMC + 2d0*Ten301*cMC*coupl(nGC_89)**2d0*&
                rMC + 4d0*Ten302*coupl(nGC_2)**2d0*rMC*(-2d0*cMC + rMC) +      &
                Ten303*rMC*(-8d0*cMC*coupl(nGC_51)*coupl(nGC_54) + cMC*coupl(  &
                nGC_86)**2d0 + cMC*coupl(nGC_87)**2d0 + 2d0*coupl(nGC_51)**2d0*&
                rMC + 2d0*coupl(nGC_54)**2d0*rMC + 2d0*coupl(nGC_86)*coupl(    &
                nGC_87)*rMC) + Ten304*rMC*(2d0*cMS*coupl(nGC_105)*coupl(nGC_85 &
                ) + coupl(nGC_105)**2d0*rMC + 2d0*coupl(nGC_33)**2d0*rMC +     &
                coupl(nGC_85)**2d0*rMC) - 2d0*Ten305*coupl(nGC_88)**2d0*rMC**  &
                2d0 - 2d0*Ten306*coupl(nGC_89)**2d0*rMC**2d0 + 4d0*Ten307*coupl&
                (nGC_2)**2d0*rMC**2d0 + 2d0*Ten308*rMC**2d0*(coupl(nGC_51)**2d0&
                 + coupl(nGC_54)**2d0 + coupl(nGC_86)*coupl(nGC_87)) + Ten309* &
                rMC**2d0*(coupl(nGC_105)**2d0 + 2d0*coupl(nGC_33)**2d0 + coupl(&
                nGC_85)**2d0) + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0 - coupl(   &
                nGC_33)**2d0/pi**2d0 - coupl(nGC_54)**2d0/pi**2d0))/(16d0*pi** &
                2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter57
end module ctparameter57
