!******************************************************************************!
!                                                                              !
!    ctparameter74.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter74.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter74
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter74()
  dtHl_QED1 = (4d0*cima*Nc*Ten10*cMD*coupl(nGC_94) + 4d0*cima*Nc*Ten11*cMS*    &
              coupl(nGC_109) + 4d0*cima*Nc*Ten12*cMB*coupl(nGC_84) + 4d0*cima* &
              Nc*Ten7*cMU*coupl(nGC_124) + 4d0*cima*Nc*Ten8*cMC*coupl(nGC_89   &
              ) + 4d0*cima*Nc*Ten9*cMT*coupl(nGC_114) - cima*Ten0*coupl(nGC_77 &
              )/2d0 + cima*Ten1*(2d0*coupl(nGC_62) + 4d0*coupl(nGC_73) - coupl(&
              nGC_74))/2d0 - cima*Ten2*coupl(nGC_76)/2d0 + cima*Ten3*(2d0*coupl&
              (nGC_49) + 4d0*coupl(nGC_70) - coupl(nGC_74)) + 4d0*cima*Ten4*cME&
              *coupl(nGC_99) + 4d0*cima*Ten5*cMM*coupl(nGC_104) + 4d0*cima*Ten6&
              *cMTA*coupl(nGC_119) + pi**2d0*(-2d0*cima*cMW**2d0*coupl(nGC_70)/&
              pi**2d0 - cima*cMZ**2d0*coupl(nGC_73)/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHl_QED1 = cone*real(dtHl_QED1,kind=dp)
    end if 
end subroutine set_ctparameter74
end module ctparameter74
