!******************************************************************************!
!                                                                              !
!    ctparameter78.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter78.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter78
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter78()
  dZg_QCD2 = (5d0*Nc*Ten201*coupl(nGC_10)**2d0/3d0 + 4d0*Ten226*cMU_reg**2d0*  &
             coupl(nGC_11)**2d0 + 4d0*Ten227*cMC_reg**2d0*coupl(nGC_11)**2d0 + &
             4d0*Ten228*cMT**2d0*coupl(nGC_11)**2d0 + 4d0*Ten229*cMD_reg**2d0* &
             coupl(nGC_11)**2d0 + 4d0*Ten230*cMS_reg**2d0*coupl(nGC_11)**2d0 + &
             4d0*Ten231*cMB_reg**2d0*coupl(nGC_11)**2d0 - 8d0*Ten232*coupl(    &
             nGC_11)**2d0 - 8d0*Ten233*coupl(nGC_11)**2d0 - 8d0*Ten234*coupl(  &
             nGC_11)**2d0 - 8d0*Ten235*coupl(nGC_11)**2d0 - 8d0*Ten236*coupl(  &
             nGC_11)**2d0 - 8d0*Ten237*coupl(nGC_11)**2d0 - 2d0*Ten238*coupl(  &
             nGC_11)**2d0/3d0 - 2d0*Ten239*coupl(nGC_11)**2d0/3d0 - 2d0*Ten240*&
             coupl(nGC_11)**2d0/3d0 - 2d0*Ten241*coupl(nGC_11)**2d0/3d0 - 2d0* &
             Ten242*coupl(nGC_11)**2d0/3d0 - 2d0*coupl(nGC_11)**2d0/3d0)/(16d0*&
             pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter78
end module ctparameter78
