!******************************************************************************!
!                                                                              !
!    ctparameter82.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter82.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter82
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter82()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHl_MS_QED2 = DeltaUV*(Nc*coupl(nGC_109)**2d0 + Nc*coupl(nGC_114)**2d0 + Nc*&
                 coupl(nGC_124)**2d0 + Nc*coupl(nGC_84)**2d0 + Nc*coupl(nGC_89 &
                 )**2d0 + Nc*coupl(nGC_94)**2d0 + coupl(nGC_104)**2d0 + coupl( &
                 nGC_119)**2d0 + 2d0*coupl(nGC_46)*coupl(nGC_47) + coupl(nGC_61&
                 )**2d0 + coupl(nGC_99)**2d0)/(8d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHl_MS_QED2 = cone*real(dZHl_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter82
end module ctparameter82
