!******************************************************************************!
!                                                                              !
!    tcFaF2.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcFaF2.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcFaF2
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec
  contains
    subroutine treeFaF2(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(FaF2)
!       GammaP(-1,1,2)*P(-1,1)*c0
!       GammaM(-1,1,2)*P(-1,1)*c1
!       ProjP(1,2)*c2
!       ProjM(1,2)*c3
    if (last .eqv. .false.) then
      pl(:) = PL1(:)
      x0 = pl(1)*w1(0)
      x1 = pl(2)*w1(1)
      x2 = P1(0)*co(1)
      x3 = pl(1)*w1(1)
      x4 = pl(2)*w1(0)
      x5 = P1(1)*co(1)
      x6 = P1(3)*co(1)
      x7 = co(2)*m
      x8 = pl(1)*w1(2)
      x9 = pl(2)*w1(3)
      x10 = P1(0)*co(0)
      x11 = m*w1(2)
      x12 = P1(2)*cima*co(1)
      x13 = P1(1)*co(0)
      x14 = m*w1(3)
      x15 = P1(3)*co(0)
      x16 = P1(2)*cima*co(0)
      x17 = pl(0)*w1(1)
      x18 = pl(3)*w1(0)
      x19 = pl(0)*w1(0)
      x20 = pl(3)*w1(1)
      x21 = pl(0)*w1(3)
      x22 = pl(3)*w1(2)
      x23 = pl(0)*w1(2)
      x24 = co(3)*m
      x25 = pl(2)*w1(2)
      x26 = m*w1(0)
      x27 = m*w1(1)
      x28 = pl(1)*w1(3)
      x29 = pl(3)*w1(3)
      wout(0) = co(3)*x8 - co(3)*x9 + w1(0)*x7 + x10*x11 - x11*x15 + x12*(x3 + &
                x4) - x13*x14 - x14*x16 + x2*(x0 - x1) + x5*(x3 - x4) + x6*(x0 &
                 + x1)
      wout(1) = co(3)*x21 - co(3)*x22 + w1(1)*x7 + x10*x14 - x11*x13 + x11*x16 &
                 - x12*(x19 + x20) + x14*x15 + x2*(x17 - x18) + x5*(x19 - x20  &
                ) - x6*(x17 + x18)
      wout(2) = co(2)*x1 + co(2)*x19 + w1(2)*x24 + x10*(x23 + x9) + x12*x27 -  &
                x13*(x21 + x25) - x15*(x23 - x9) - x16*(x21 - x25) + x2*x26 +  &
                x26*x6 + x27*x5
      wout(3) = co(2)*x18 + co(2)*x3 + w1(3)*x24 + x10*(x22 + x28) - x12*x26 - &
                x13*(x29 + x8) + x15*(-x22 + x28) + x16*(-x29 + x8) + x2*x27 + &
                x26*x5 - x27*x6
    else
      x0 = co(0)*w1(2)
      x1 = co(0)*w1(3)
      x2 = P1(2)*cima
      x3 = co(1)*w1(0)
      x4 = co(1)*w1(1)
      wout(0) = P1(0)*x0 - P1(1)*x1 - P1(3)*x0 + co(2)*w1(0) - x1*x2
      wout(1) = P1(0)*x1 - P1(1)*x0 + P1(3)*x1 + co(2)*w1(1) + x0*x2
      wout(2) = P1(0)*x3 + P1(1)*x4 + P1(3)*x3 + co(3)*w1(2) + x2*x4
      wout(3) = P1(0)*x4 + P1(1)*x3 - P1(3)*x4 + co(3)*w1(3) - x2*x3
    end if 
      end select 
    end subroutine treeFaF2
end module tcFaF2
